Closed Bug 1163440 Opened 5 years ago Closed 11 months ago

random graphics corruption "screen turns black"

Categories

(Core :: Graphics: Layers, defect, P3)

40 Branch
All
Windows
defect

Tracking

()

RESOLVED WORKSFORME
mozilla56
Tracking Status
platform-rel --- +
firefox40 --- wontfix
firefox53 + wontfix
firefox54 + wontfix
firefox55 + wontfix
firefox56 + fixed

People

(Reporter: zed260, Assigned: bas.schouten)

References

(Blocks 1 open bug)

Details

(Keywords: regression, Whiteboard: gfx-noted [platform-rel-Windows][platform-rel-Microsoft])

Attachments

(19 files, 1 obsolete file)

77.00 KB, image/png
Details
13.37 KB, image/png
Details
139.70 KB, image/png
Details
21.32 KB, image/png
Details
252.48 KB, application/x-gzip
Details
574.78 KB, image/png
Details
715.44 KB, image/jpeg
Details
86.93 KB, text/plain
Details
6.17 KB, text/plain
Details
147.08 KB, image/png
Details
45.34 KB, image/jpeg
Details
156.92 KB, image/png
Details
192.00 KB, image/png
Details
245.58 KB, application/x-zip-compressed
Details
16.58 KB, text/plain
Details
17.68 KB, image/png
Details
262.68 KB, image/png
Details
229.67 KB, image/png
Details
59 bytes, text/x-review-board-request
bas.schouten
: review+
Details
Attached image picture of curruption
start Firefox 64 bit randomly on windows 10 it appears to turn totally black

new profile still does same thing
happans even with e10s turned off
This always happens on Facebook but not other websites on the other tabs. Upon switching to the Facebook tab the tab turns totally black and the same for the others.

This does not affect the new tab page.

Using 32-bit Windows version on Windows 10 Build 10074. It is an iMac-5K using AMD Radeon R9 M200 graphics.
(In reply to Xavier Fung from comment #2)
> This always happens on Facebook but not other websites on the other tabs.
> Upon switching to the Facebook tab the tab turns totally black and the same
> for the others.
> 
> This does not affect the new tab page.
> 
> Using 32-bit Windows version on Windows 10 Build 10074. It is an iMac-5K
> using AMD Radeon R9 M200 graphics.

im using radeon r9 290x in this case though this bug seems to happan most often on Facebook i think ive seen it happan a few times on other sites

and also seems to happen to the whole browser at times on Facebook most often "though when it effects the chrome i can minimize and unminimise the browser in windows and it looks normal again"
seems twitter causes it pretty regularly like less then 15 seconds  on twitter and have to restart firefox
this bug seems to have been fixed with latest amd drivers on windows 10 10122
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → WORKSFORME
ok this is weird it still happans but i can no longer trigger it willingly? 


anyone know what i can do? to figure it out?
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
I have this problem too, on Firefox 41.0.1 and Nightly, without e10s, Windows 7 32-bit, therefore it is not only on x86_64 Windows 10 platforms, as the bug fields indicate, please update them.
Attached image FirefoxCorrupt.png
Firefox graphics are a mess. How much longer do we have to put up with this?
I can't put a figure on which version this started with
but my gut feeling is its been going on for about a year now.
After maybe half an hour, the following happens:
- blacked out tabs
- graphics on graphics overlayed
- unresponsive minimize, maximise & close icons
Firefox.: v42.0 x64 & x32
Windows.: v8.1 x64
Graphics.: nVidia GeForce GTX 960M
Component: Untriaged → Graphics
Product: Firefox → Core
Im getting the same thing. It started after I installed my second graphics card, the GT 520, to handle my second screen. If I turn off hardware acceleration it does not happen. Though, it is very random. Its usually triggered by videos it seems, but sometime I can watch an hour or more before it happens and sometime it happens just after startup.

User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:46.0) Gecko/20100101 Firefox/46.0
Multiprocess Windows: 2/2 (default: true)

Graphics
--------

Adapter Description: AMD Radeon HD 7900 Series
Adapter Description (GPU #2): NVIDIA GeForce GT 520
Adapter Drivers: aticfx64 aticfx64 aticfx64 amdxc64 aticfx32 aticfx32 aticfx32 amdxc32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter Drivers (GPU #2): nvd3dumx,nvwgf2umx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um,nvwgf2um
Adapter RAM: 3072
Adapter RAM (GPU #2): 1024
Asynchronous Pan/Zoom: wheel input enabled
ClearType Parameters: D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 100 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 50 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 100 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 50 Enhanced Contrast: 300 ]
Device ID: 0x679a
Device ID (GPU #2): 0x1040
Direct2D Enabled: true
DirectWrite Enabled: true (10.0.10240.16430)
Driver Date: 12-4-2015
Driver Date (GPU #2): 12-16-2015
Driver Version: 15.300.1025.1001
Driver Version (GPU #2): 10.18.13.6143
GPU #2 Active: false
GPU Accelerated Windows: 2/2 Direct3D 11 (OMTC)
Subsys ID: 30001002
Subsys ID (GPU #2): 0000000c
Supports Hardware H264 Decoding: Yes
Vendor ID: 0x1002
Vendor ID (GPU #2): 0x10de
WebGL Renderer: Google Inc. -- ANGLE (AMD Radeon HD 7900 Series Direct3D11 vs_5_0 ps_5_0)
windowLayerManagerRemote: true
AzureCanvasBackend: direct2d 1.1
AzureContentBackend: direct2d 1.1
AzureFallbackCanvasBackend: cairo
AzureSkiaAccelerated: 0
Attached image FirefoxBlackscreen.png
I'm having random black screen (even toolbars are black) at startup since 44.0 update.
What sort of information would help to find the cause?
Started to having the same issue. With HWA disabled it does not happens. I have dom.ipc.processCount;5. So opening the page in a new tab shows it. So it depends in the process it is running.

I saw it on different pages: youtube, FB, google search. Once i was watching a video (flash or it was youtube with HTML5 player? dunno anymore...), all became black, but the video continued fine.

Adapter Description	AMD Radeon HD 7800 Series
Adapter Drivers	aticfx64 aticfx64 aticfx64 amdxc64 aticfx32 aticfx32 aticfx32 amdxc32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM	2048
Asynchronous Pan/Zoom	wheel input enabled; scrollbar drag enabled
Device ID	0x6819
Direct2D Enabled	true
DirectWrite Enabled	true (10.0.10586.0)
Driver Date	12-23-2015
Driver Version	15.301.1201.0
GPU #2 Active	false
GPU Accelerated Windows	2/2 Direct3D 11 (OMTC)
Subsys ID	043a1043
Supports Hardware H264 Decoding	Yes
Vendor ID	0x1002
WebGL Renderer	Google Inc. -- ANGLE (AMD Radeon HD 7800 Series Direct3D11 vs_5_0 ps_5_0)
windowLayerManagerRemote	true
AzureCanvasBackend	direct2d 1.1
AzureContentBackend	direct2d 1.1
AzureFallbackCanvasBackend	cairo
AzureSkiaAccelerated	0
Attached image Here is a screenshot
Animated gif is shown, cursor changes from arrow to hand over a link.

This time it started for me in about 24 hours after FF restart.
Thoughts?
Seems to be accel-layers and AMD-specific.
Component: Graphics → Graphics: Layers
Flags: needinfo?(bas)
OS: Windows 10 → Windows
Hardware: x86_64 → All
Whiteboard: gfx-noted
No, its generic.
I have 2 Acer Aspire V17 Nitro Laptops with nVidia GeForce GTX 960M.
One has Intel HD Graphics 530 (Skylake) onboard.
The other, Intel HD Graphics 4600 (Haswell).
OS is Windows 10 x64 & Windows 8.1 x64.
I suspect it may be OS-related: maybe those using Aero?
On older PC's with Windows 2000, XP, even Vista, its ok.
Hrm, the latest comments all seem to include Video. Matt, are you aware of any similar bug already being looked at? I've never seen this on any of my Win10 or Win8 machines at least. But I don't watch a lot of video.
Flags: needinfo?(bas) → needinfo?(matt.woodrow)
Not in my case: the Browser Tabs are corrupt/overlayed & often black.
(see my previous attachment)
I'm not aware of any existing video bugs that match these symptoms.
Flags: needinfo?(matt.woodrow)
Bas, why don't we think this is related to the present bug?
Flags: needinfo?(bas)
(In reply to Milan Sreckovic [:milan] from comment #19)
> Bas, why don't we think this is related to the present bug?

Because the present bug manifests as parts of the window having 'outdated' content, not parts not drawing at all. This also is reported by the bugreporter to manifest on switching tabs, that does not even trigger a main thread paint event so would be completely unrelated for certain.
Flags: needinfo?(bas)
For my it happens on Win 10 64 bit. But only on one from my three computers. I had to turn for the one the HW acceleration off, without HWA it's totally OK.
Resize or full screen does not help.
Cached it on a video.

1. The page got black with visible cursor and status bar:
https://www.youtube.com/watch?v=8lLn2_bF2EU

2. Page playing Youtube video on a black screen, no right click video properties appears:
https://www.youtube.com/watch?v=s8j8cPWsHD4
Yeah, resizing or anything to try to get it to redraw the screen does not work. Still black.
And thats what my youtube looks like too when this occurs. No status bar so I can keep watching it but I pretty much have to restart FF to fix.
One more video: in frames there are pictures shown. Are frames in different process?

https://www.youtube.com/watch?v=-qtlZvl9sWY
I found out something interesting today. When the pages black out like above, I can still use google maps. I can even open a new tab and maps will load and work correctly.
Out of curiosity, when people are experiencing this bug, what is Firefox's memory usage like?
(In reply to Mike Conley (:mconley) - Needinfo me! from comment #27)
> Out of curiosity, when people are experiencing this bug, what is Firefox's
> memory usage like?

For me it happens every morning when I turn my computer on.
I always start the day by launching both Firefox and Thunderbird.
It can take me up to 20 restart of FF to get it to work.
I noticed that if I wait a couple of minutes before launching FF it is less likely that I get the black screen bug.
(In reply to Mike Conley (:mconley) - Needinfo me! from comment #27)
> Out of curiosity, when people are experiencing this bug, what is Firefox's
> memory usage like?

I triggered it with Netflix and attached the memory report.
(btw, most reliable triggering Ive found. Usually within an episode or two of a TV show it will do this.)
Downloaded the latest AMD drivers from 09.03.2016, enabled the HW acceleration and have the same problem.

https://www.canva.com - loading a banner design page seems with 100% reproduce the black screen.
If it helps. Bought a new SSD. On the same hardware installed Win 10, all as on the old SSD. 
And now HWA works just fine...
Just had it occur with HWA turned off in the options.
Its a little different though, as you can resize and when it redraws the missing parts come back. However, as soon as you interact with the page it will corrupt again.

Application Basics
------------------

Name: Firefox
Version: 49.0a1
Build ID: 20160602030220
Update Channel: nightly
User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:49.0) Gecko/20100101 Firefox/49.0
OS: Windows_NT 10.0
Multiprocess Windows: 2/2 (Enabled by user)
Safe Mode: false

Crash Reports for the Last 3 Days
---------------------------------

All Crash Reports (including 1 pending crash in the given time range)

Extensions
----------

Name: Adguard AdBlocker
Version: 2.2.3
Enabled: true
ID: adguardadblocker@adguard.com

Name: Firefox Hello
Version: 1.4.0
Enabled: true
ID: loop@mozilla.org

Name: FoxyProxy Basic
Version: 3.5.6
Enabled: true
ID: foxyproxy-basic@eric.h.jung

Name: Greasemonkey
Version: 3.8
Enabled: true
ID: {e4a8a97b-f2ed-450b-b12d-ee082ba24781}

Name: Multi-process staged rollout
Version: 1.0
Enabled: true
ID: e10srollout@mozilla.org

Name: Nightly Tester Tools
Version: 3.7.1-signed.1-signed
Enabled: true
ID: {8620c15f-30dc-4dba-a131-7c5d20cf4a29}

Name: Password Exporter
Version: 1.3.2
Enabled: true
ID: {B17C1C5A-04B1-11DB-9804-B622A1EF5492}

Name: Personas Plus
Version: 1.7.7
Enabled: true
ID: personas@christopher.beard

Name: Pocket
Version: 1.0.3b1
Enabled: true
ID: firefox@getpocket.com

Name: Switch Private Browsing
Version: 3.1.1-signed.1-signed
Enabled: true
ID: manolo.estevez@gmail.com

Name: Test Pilot
Version: 1.2.3.1-signed
Enabled: true
ID: testpilot@labs.mozilla.com

Name: Web Compat
Version: 1.0
Enabled: true
ID: webcompat@mozilla.org

Name: YouTube High Definition
Version: 46.0
Enabled: true
ID: {7b1bf0b6-a1b9-42b0-b75d-252036438bdc}

Name: 4or6
Version: 1.2.1.1-signed.1-signed
Enabled: false
ID: 4or6@hunen.net

Name: Adblock Plus
Version: 2.7.3
Enabled: false
ID: {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}

Name: JavaScript Deobfuscator
Version: 2.0.3
Enabled: false
ID: jsdeobfuscator@adblockplus.org

Name: Translate This!
Version: 3.5.0
Enabled: false
ID: jid0-k75TfRGfOXPHfEZmJ9cKu5eCgLc@jetpack

Name: XULRunner
Version: 1.9.1
Enabled: false
ID: {0ED97352-40AE-41BD-88E1-E50DCE9F700A}

Name: YouTube™ All Flash® Player
Version: 0.1.0
Enabled: false
ID: jid1-h2qSGwT1a1jJTk@jetpack

Name: YouTube™ Flash® Player
Version: 1.6.2
Enabled: false
ID: jid1-HAV2inXAnQPIeA@jetpack

Graphics
--------

Features
Compositing: Basic
Asynchronous Pan/Zoom: wheel input enabled; touch input enabled
WebGL Renderer: Google Inc. -- ANGLE (AMD Radeon HD 7900 Series Direct3D9Ex vs_3_0 ps_3_0)
Hardware H264 Decoding: No; Hardware video decoding disabled or blacklisted
DirectWrite: false (10.0.10586.0)
GPU #1
Active: Yes
Description: AMD Radeon HD 7900 Series
Vendor ID: 0x1002
Device ID: 0x679a
Driver Version: 16.200.1013.0
Driver Date: 5-20-2016
Drivers: aticfx64 aticfx64 aticfx64 amdxc64 aticfx32 aticfx32 aticfx32 amdxc32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Subsys ID: 30001002
RAM: 3072
GPU #2
Active: No
Description: NVIDIA GeForce GT 520
Vendor ID: 0x10de
Device ID: 0x1040
Driver Version: 10.18.13.6143
Driver Date: 12-16-2015
Drivers: nvd3dumx,nvwgf2umx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um,nvwgf2um
Subsys ID: 0000000c
RAM: 1024
Diagnostics
ClearType Parameters: D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 100 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 50 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 100 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 50 Enhanced Contrast: 300 ]
AzureCanvasAccelerated: 0
AzureCanvasBackend: skia
AzureContentBackend: cairo
AzureFallbackCanvasBackend: cairo
ClearType Parameters: D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 100 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 50 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 100 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 50 Enhanced Contrast: 300 ]
failures: CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,4041) and mapSize 40102884
Decision Log
HW_COMPOSITING:
disabled by user: Disabled by pref
D3D11_COMPOSITING:
unavailable by default: Hardware compositing is disabled
D3D9_COMPOSITING:
unavailable by default: Hardware compositing is disabled
DIRECT2D:
unavailable by default: Direct2D requires Direct3D 11 compositing
D3D11_HW_ANGLE:
unavailable by default: D3D11 compositing is disabled
disabled by env: D3D11 compositing is disabled


Failure Log
(#0): CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,4041) and mapSize 40102884
(#360): CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,4237) and mapSize 42047988
(#361): CP+[GFX1]: Failed 2 buffer db=00000000 dw=00000000 for 0, 0, 2481, 4237
(#362): CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,3956) and mapSize 39259344
(#363): CP+[GFX1]: Failed 2 buffer db=00000000 dw=00000000 for 0, 0, 2481, 3956
(#364): CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,3956) and mapSize 39259344
(#365): CP+[GFX1]: Failed 2 buffer db=00000000 dw=00000000 for 0, 0, 2481, 3956
(#366): CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,3960) and mapSize 39299040
(#367): CP+[GFX1]: Failed 2 buffer db=00000000 dw=00000000 for 0, 0, 2481, 3960
(#368): CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,3960) and mapSize 39299040
(#369): CP+[GFX1]: Failed 2 buffer db=00000000 dw=00000000 for 0, 0, 2481, 3960
(#370): CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,4065) and mapSize 40341060
(#371): CP+[GFX1]: Failed 2 buffer db=00000000 dw=00000000 for 0, 0, 2481, 4065
(#372): CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,4065) and mapSize 40341060
(#373): CP+[GFX1]: Failed 2 buffer db=00000000 dw=00000000 for 0, 0, 2481, 4065
(#374): CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,4261) and mapSize 42286164

Important Modified Preferences
------------------------------

accessibility.force_disabled: 1
accessibility.typeaheadfind.flashBar: 0
browser.cache.disk_cache_ssl: false
browser.cache.disk.capacity: 358400
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.hashstats_reported: 1
browser.cache.disk.smart_size_cached_value: 358400
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 4
browser.cache.memory.capacity: 327680
browser.download.folderList: 2
browser.download.importedFromSqlite: true
browser.download.manager.alertOnEXEOpen: false
browser.download.manager.closeWhenDone: false
browser.download.manager.retention: 2
browser.download.manager.scanWhenDone: true
browser.download.manager.showWhenStarting: true
browser.fixup.domainwhitelist.switch01: true
browser.fixup.domainwhitelist.switch02: true
browser.places.importBookmarksHTML: false
browser.places.importDefaults: false
browser.places.leftPaneFolderId: -1
browser.places.migratePostDataAnnotations: false
browser.places.smartBookmarksVersion: 8
browser.places.updateRecentTagsUri: false
browser.search.openintab: true
browser.search.useDBForOrder: true
browser.sessionstore.upgradeBackup.latestBuildID: 20160602030220
browser.startup.homepage: about:home
browser.startup.homepage_override.buildID: 20160602030220
browser.startup.homepage_override.mstone: 49.0a1
browser.tabs.crashReporting.sendReport: false
browser.tabs.onTop: true
browser.tabs.remote.autostart.2: false
browser.tabs.remote.disabled-for-a11y: false
browser.tabs.remote.force-enable: true
browser.urlbar.default.behavior: 0
browser.urlbar.suggest.searches: true
browser.urlbar.userMadeSearchSuggestionsChoice: true
dom.apps.lastUpdate.buildID: 20160602030220
dom.apps.lastUpdate.mstone: 49.0a1
dom.apps.reset-permissions: true
dom.mozApps.runUpdate: false
dom.mozApps.used: true
dom.push.userAgentID: 59a0e87be3fe42aca8800d17420a155b
dom.w3c_touch_events.expose: false
extensions.checkCompatibility: false
extensions.checkCompatibility.10.0: false
extensions.checkCompatibility.10.0a: false
extensions.checkCompatibility.11.0: false
extensions.checkCompatibility.11.0a: false
extensions.checkCompatibility.12.0: false
extensions.checkCompatibility.12.0a: false
extensions.checkCompatibility.13.0: false
extensions.checkCompatibility.13.0a: false
extensions.checkCompatibility.14.0: false
extensions.checkCompatibility.14.0a: false
extensions.checkCompatibility.15.0: false
extensions.checkCompatibility.15.0a: false
extensions.checkCompatibility.16.0: false
extensions.checkCompatibility.16.0a: false
extensions.checkCompatibility.17.0: false
extensions.checkCompatibility.17.0a: false
extensions.checkCompatibility.18.0: false
extensions.checkCompatibility.18.0a: false
extensions.checkCompatibility.19.0: false
extensions.checkCompatibility.19.0a: false
extensions.checkCompatibility.20.0: false
extensions.checkCompatibility.20.0a: false
extensions.checkCompatibility.21.0: false
extensions.checkCompatibility.21.0a: false
extensions.checkCompatibility.22.0: false
extensions.checkCompatibility.22.0a: false
extensions.checkCompatibility.23.0a: false
extensions.checkCompatibility.24.0a: false
extensions.checkCompatibility.25.0a: false
extensions.checkCompatibility.26.0a: false
extensions.checkCompatibility.28.0a: false
extensions.checkCompatibility.29.0a: false
extensions.checkCompatibility.3.6: false
extensions.checkCompatibility.3.6b: false
extensions.checkCompatibility.3.6p: false
extensions.checkCompatibility.3.6pre: false
extensions.checkCompatibility.3.7a: false
extensions.checkCompatibility.30.0a: false
extensions.checkCompatibility.31.0a: false
extensions.checkCompatibility.32.0a: false
extensions.checkCompatibility.33.0a: false
extensions.checkCompatibility.34.0a: false
extensions.checkCompatibility.35.0a: false
extensions.checkCompatibility.36.0a: false
extensions.checkCompatibility.37.0a: false
extensions.checkCompatibility.38.0a: false
extensions.checkCompatibility.39.0a: false
extensions.checkCompatibility.4.0: false
extensions.checkCompatibility.4.0b: false
extensions.checkCompatibility.4.0p: false
extensions.checkCompatibility.4.0pre: false
extensions.checkCompatibility.4.2: false
extensions.checkCompatibility.4.2a: false
extensions.checkCompatibility.4.2a1: false
extensions.checkCompatibility.4.2a1pre: false
extensions.checkCompatibility.4.2b: false
extensions.checkCompatibility.40.0a: false
extensions.checkCompatibility.41.0a: false
extensions.checkCompatibility.43.0a: false
extensions.checkCompatibility.44.0a: false
extensions.checkCompatibility.45.0a: false
extensions.checkCompatibility.46.0a: false
extensions.checkCompatibility.48.0a: false
extensions.checkCompatibility.49.0a: false
extensions.checkCompatibility.5.0: false
extensions.checkCompatibility.5.0a: false
extensions.checkCompatibility.5.0b: false
extensions.checkCompatibility.6.0: false
extensions.checkCompatibility.6.0a: false
extensions.checkCompatibility.6.0b: false
extensions.checkCompatibility.7.0: false
extensions.checkCompatibility.7.0a: false
extensions.checkCompatibility.7.0b: false
extensions.checkCompatibility.8.0: false
extensions.checkCompatibility.8.0a: false
extensions.checkCompatibility.9.0: false
extensions.checkCompatibility.9.0a: false
extensions.checkCompatibility.nightly: false
extensions.lastAppVersion: 49.0a1
font.internaluseonly.changed: true
gfx.direct2d.disabled: true
gfx.direct3d.last_used_feature_level_idx: 0
gfx.direct3d.prefer_10_1: true
gfx.driver-init.appVersion: 41.0a1
gfx.driver-init.deviceID: 0x6719
gfx.driver-init.driverVersion: 15.200.1062.1004
gfx.driver-init.feature-d2d: true
gfx.driver-init.feature-d3d11: true
gfx.driver-init.status: 2
image.mem.min_discard_timeout_ms: 100000
layers.acceleration.disabled: true
media.benchmark.vp9.fps: 236
media.benchmark.vp9.versioncheck: 1
media.gmp-eme-adobe.abi: x86-msvc-x64
media.gmp-eme-adobe.lastUpdate: 1456337995
media.gmp-eme-adobe.version: 17
media.gmp-gmpopenh264.abi: x86-msvc-x64
media.gmp-gmpopenh264.lastUpdate: 1453366999
media.gmp-gmpopenh264.path: D:\Coltons Stuff\Data\mozilla\firefox\il4cwhu4.default\gmp-gmpopenh264
media.gmp-gmpopenh264.version: 1.5.3
media.gmp-manager.buildID: 20160602030220
media.gmp-manager.lastCheck: 1465122714
media.gmp-widevinecdm.abi: x86-msvc-x64
media.gmp-widevinecdm.lastUpdate: 1461188185
media.gmp-widevinecdm.version: 1.4.8.866
media.gmp.storage.version.observed: 1
media.hardware-video-decoding.failed: false
network.cookie.prefsMigrated: true
network.dns.ipv4OnlyDomains: .youtube.com,.youtu.be,.yt.be,.ytimg.com,.youtubeeducation.com,.youtube-nocookie.com,.googlevideo.com,.google.com,.picar
network.http.max-connections: 512
network.http.pipelining: true
network.http.pipelining.aggressive: true
network.http.pipelining.max-optimistic-requests: 16
network.http.pipelining.maxrequests: 64
network.http.spdy.enabled.http2draft: false
network.predictor.cleaned-up: true
places.database.lastMaintenance: 1464682723
places.history.expiration.transient_current_max_pages: 104858
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.importedState: true
plugin.state.flash: 1
plugin.state.nppdf: 2
plugin.state.npuplaypc: 0
plugin.state.npuplaypchub: 0
print.print_printer: \\NANA\HP Officejet 5600 series
print.printer_\\NANA\HP_Officejet_5600_series.print_bgcolor: false
print.printer_\\NANA\HP_Officejet_5600_series.print_bgimages: false
print.printer_\\NANA\HP_Officejet_5600_series.print_colorspace:
print.printer_\\NANA\HP_Officejet_5600_series.print_command:
print.printer_\\NANA\HP_Officejet_5600_series.print_downloadfonts: false
print.printer_\\NANA\HP_Officejet_5600_series.print_duplex: 186
print.printer_\\NANA\HP_Officejet_5600_series.print_edge_bottom: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_edge_left: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_edge_right: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_edge_top: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_evenpages: true
print.printer_\\NANA\HP_Officejet_5600_series.print_footercenter:
print.printer_\\NANA\HP_Officejet_5600_series.print_footerleft: &PT
print.printer_\\NANA\HP_Officejet_5600_series.print_footerright: &D
print.printer_\\NANA\HP_Officejet_5600_series.print_headercenter:
print.printer_\\NANA\HP_Officejet_5600_series.print_headerleft: &T
print.printer_\\NANA\HP_Officejet_5600_series.print_headerright: &U
print.printer_\\NANA\HP_Officejet_5600_series.print_in_color: true
print.printer_\\NANA\HP_Officejet_5600_series.print_margin_bottom: 0.5
print.printer_\\NANA\HP_Officejet_5600_series.print_margin_left: 0.5
print.printer_\\NANA\HP_Officejet_5600_series.print_margin_right: 0.5
print.printer_\\NANA\HP_Officejet_5600_series.print_margin_top: 0.5
print.printer_\\NANA\HP_Officejet_5600_series.print_oddpages: true
print.printer_\\NANA\HP_Officejet_5600_series.print_orientation: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_page_delay: 50
print.printer_\\NANA\HP_Officejet_5600_series.print_paper_data: 1
print.printer_\\NANA\HP_Officejet_5600_series.print_paper_height: 11.00
print.printer_\\NANA\HP_Officejet_5600_series.print_paper_name:
print.printer_\\NANA\HP_Officejet_5600_series.print_paper_size_type: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_paper_size_unit: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_paper_width: 8.50
print.printer_\\NANA\HP_Officejet_5600_series.print_plex_name:
print.printer_\\NANA\HP_Officejet_5600_series.print_resolution: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_resolution_name:
print.printer_\\NANA\HP_Officejet_5600_series.print_reversed: false
print.printer_\\NANA\HP_Officejet_5600_series.print_scaling: 1.00
print.printer_\\NANA\HP_Officejet_5600_series.print_shrink_to_fit: true
print.printer_\\NANA\HP_Officejet_5600_series.print_to_file: false
print.printer_\\NANA\HP_Officejet_5600_series.print_unwriteable_margin_bottom: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_unwriteable_margin_left: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_unwriteable_margin_right: 0
print.printer_\\NANA\HP_Officejet_5600_series.print_unwriteable_margin_top: 0
print.printer_Canon_Inkjet_iP1800_series.print_bgcolor: false
print.printer_Canon_Inkjet_iP1800_series.print_bgimages: false
print.printer_Canon_Inkjet_iP1800_series.print_command:
print.printer_Canon_Inkjet_iP1800_series.print_downloadfonts: false
print.printer_Canon_Inkjet_iP1800_series.print_edge_bottom: 0
print.printer_Canon_Inkjet_iP1800_series.print_edge_left: 0
print.printer_Canon_Inkjet_iP1800_series.print_edge_right: 0
print.printer_Canon_Inkjet_iP1800_series.print_edge_top: 0
print.printer_Canon_Inkjet_iP1800_series.print_evenpages: true
print.printer_Canon_Inkjet_iP1800_series.print_footercenter:
print.printer_Canon_Inkjet_iP1800_series.print_footerleft: &PT
print.printer_Canon_Inkjet_iP1800_series.print_footerright: &D
print.printer_Canon_Inkjet_iP1800_series.print_headercenter:
print.printer_Canon_Inkjet_iP1800_series.print_headerleft: &T
print.printer_Canon_Inkjet_iP1800_series.print_headerright: &U
print.printer_Canon_Inkjet_iP1800_series.print_in_color: true
print.printer_Canon_Inkjet_iP1800_series.print_margin_bottom: 0.5
print.printer_Canon_Inkjet_iP1800_series.print_margin_left: 0.5
print.printer_Canon_Inkjet_iP1800_series.print_margin_right: 0.5
print.printer_Canon_Inkjet_iP1800_series.print_margin_top: 0.5
print.printer_Canon_Inkjet_iP1800_series.print_oddpages: true
print.printer_Canon_Inkjet_iP1800_series.print_orientation: 0
print.printer_Canon_Inkjet_iP1800_series.print_page_delay: 50
print.printer_Canon_Inkjet_iP1800_series.print_pagedelay: 500
print.printer_Canon_Inkjet_iP1800_series.print_paper_data: 1
print.printer_Canon_Inkjet_iP1800_series.print_paper_height: 11.00
print.printer_Canon_Inkjet_iP1800_series.print_paper_size_type: 0
print.printer_Canon_Inkjet_iP1800_series.print_paper_size_unit: 0
print.printer_Canon_Inkjet_iP1800_series.print_paper_width: 8.50
print.printer_Canon_Inkjet_iP1800_series.print_reversed: false
print.printer_Canon_Inkjet_iP1800_series.print_scaling: 1.00
print.printer_Canon_Inkjet_iP1800_series.print_shrink_to_fit: true
print.printer_Canon_Inkjet_iP1800_series.print_to_file: false
print.printer_Canon_Inkjet_iP1800_series.print_unwriteable_margin_bottom: 0
print.printer_Canon_Inkjet_iP1800_series.print_unwriteable_margin_left: 0
print.printer_Canon_Inkjet_iP1800_series.print_unwriteable_margin_right: 0
print.printer_Canon_Inkjet_iP1800_series.print_unwriteable_margin_top: 0
print.printer_CutePDF_Writer.print_bgcolor: false
print.printer_CutePDF_Writer.print_bgimages: false
print.printer_CutePDF_Writer.print_colorspace:
print.printer_CutePDF_Writer.print_command:
print.printer_CutePDF_Writer.print_downloadfonts: false
print.printer_CutePDF_Writer.print_duplex: 186
print.printer_CutePDF_Writer.print_edge_bottom: 0
print.printer_CutePDF_Writer.print_edge_left: 0
print.printer_CutePDF_Writer.print_edge_right: 0
print.printer_CutePDF_Writer.print_edge_top: 0
print.printer_CutePDF_Writer.print_evenpages: true
print.printer_CutePDF_Writer.print_footercenter:
print.printer_CutePDF_Writer.print_footerleft: &PT
print.printer_CutePDF_Writer.print_footerright: &D
print.printer_CutePDF_Writer.print_headercenter:
print.printer_CutePDF_Writer.print_headerleft: &T
print.printer_CutePDF_Writer.print_headerright: &U
print.printer_CutePDF_Writer.print_in_color: true
print.printer_CutePDF_Writer.print_margin_bottom: 0.5
print.printer_CutePDF_Writer.print_margin_left: 0.5
print.printer_CutePDF_Writer.print_margin_right: 0.5
print.printer_CutePDF_Writer.print_margin_top: 0.5
print.printer_CutePDF_Writer.print_oddpages: true
print.printer_CutePDF_Writer.print_orientation: 0
print.printer_CutePDF_Writer.print_page_delay: 50
print.printer_CutePDF_Writer.print_paper_data: 1
print.printer_CutePDF_Writer.print_paper_height: 11.00
print.printer_CutePDF_Writer.print_paper_name:
print.printer_CutePDF_Writer.print_paper_size_type: 0
print.printer_CutePDF_Writer.print_paper_size_unit: 0
print.printer_CutePDF_Writer.print_paper_width: 8.50
print.printer_CutePDF_Writer.print_plex_name:
print.printer_CutePDF_Writer.print_resolution: 0
print.printer_CutePDF_Writer.print_resolution_name:
print.printer_CutePDF_Writer.print_reversed: false
print.printer_CutePDF_Writer.print_scaling: 1.00
print.printer_CutePDF_Writer.print_shrink_to_fit: true
print.printer_CutePDF_Writer.print_to_file: false
print.printer_CutePDF_Writer.print_unwriteable_margin_bottom: 0
print.printer_CutePDF_Writer.print_unwriteable_margin_left: 0
print.printer_CutePDF_Writer.print_unwriteable_margin_right: 0
print.printer_CutePDF_Writer.print_unwriteable_margin_top: 0
privacy.clearOnShutdown.passwords: false
privacy.cpd.cookies: false
privacy.cpd.downloads: false
privacy.cpd.extensions-dta: true
privacy.cpd.formdata: false
privacy.cpd.history: false
privacy.cpd.sessions: false
privacy.donottrackheader.enabled: true
privacy.donottrackheader.value: 1
privacy.sanitize.migrateClearSavedPwdsOnExit: true
privacy.sanitize.migrateFx3Prefs: true
privacy.sanitize.timeSpan: 0
security.disable_button.openDeviceManager: false
security.sandbox.content.tempDirSuffix: {7a8ca20e-16f0-4279-a8df-e35b9785d15e}
services.sync.declinedEngines: passwords,adblockplus
services.sync.engine.greasemonkey: true
services.sync.engine.prefs.modified: false
services.sync.lastPing: 1465196669
services.sync.lastSync: Mon Jun 06 2016 22:12:02 GMT-0700 (Pacific Standard Time)
services.sync.numClients: 3
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1462653835
ui.osk.debug.keyboardDisplayReason: IKPOS: Touch screen not found.

Important Locked Preferences
----------------------------

Places Database
---------------

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: false
Prevent Accessibility: 1

Library Versions
----------------

NSPR
Expected minimum version: 4.12
Version in use: 4.12

NSS
Expected minimum version: 3.24 Basic ECC
Version in use: 3.24 Basic ECC

NSSSMIME
Expected minimum version: 3.24 Basic ECC
Version in use: 3.24 Basic ECC

NSSSSL
Expected minimum version: 3.24 Basic ECC
Version in use: 3.24 Basic ECC

NSSUTIL
Expected minimum version: 3.24
Version in use: 3.24

Experimental Features
---------------------
Attached image corruptionHWAoff.png
(#0): CP+[GFX1]: Failed to create DIB section for a bitmap of size Size(2481,4041) and mapSize 40102884
...

I don't think we've seen these kinds of failures in HWA off before.

The above may be a valid failure, that's a big texture, or are we running out of file descriptors?
Assignee: nobody → bas
Flags: needinfo?(nical.bugzilla)
Flags: needinfo?(bas)
I don't remember seeing bugs related to fd limits on windows. It is indeed a big texture, but if it corresponds to the screen size, one would hope that the GPU on the same computer can drive that reliably, unless we are running out of RAM.
OOM looks plausible because if creating a DIB texture fails we should fallback to shmem and it appears to fail as well (that could also be the symptom of a fd related issue, but I have only seen those on mac and linux).

It'd be interesting to see if tiling helps at all (or if we just get some black tiles popping up randomly instead).
Flags: needinfo?(nical.bugzilla)
There is no GPU in the picture in this latest report though, HWA is off.
(In reply to Milan Sreckovic [:milan] from comment #37)
> There is no GPU in the picture in this latest report though, HWA is off.

So, it's interesting that the DIB section creation fails, not the allocation. That suggests we're either passing an invalid option to the function or it might mean we're simply out of large enough contiguous address space. Presumably the latter or we'd expect it to be more commong. An allocation like this requires 40MB contiguous which with a little bit of fragmentation isn't that hard to run out of.
Flags: needinfo?(bas)
Can you check in Task Manager how many GDI objects Firefox is using? (Go to 'Details' in TaskMgr, right-click the column strip, choose 'select columns' and select 'GDI Objects')
I will watch GDI objects. Right now p-contain has 415 and ff has 153. But, it is working normally atm. I will watch for it to fail again.
(In reply to Colton from comment #40)
> I will watch GDI objects. Right now p-contain has 415 and ff has 153. But,
> it is working normally atm. I will watch for it to fail again.

p-contain has 392 and ff 492. It was doing the same thing.
"Me Too" but only relatively recently. Windows 7 Enterprise.
Can't put my finger on a cause yet. 
Right now I have about 30 tabs open and Firefox is using about 1.5GB of memory. Last time I caught it it was about at the 1GB mark.
FWIW i'm running a 32 bit Firefox build (that's the standard offering within my employers network, this is a COE image.)
Hey guys, created a new bugzilla acct just to reply lol. I'm having the same problem. On Windows 10 Insider 15025 x64, AMD Phenom II, 8GB RAM, Geforce 660 Ti. Issue happens randomly since FF 49. Currently on FF 52b3 x64 and Aurora 53.0a2 (2017-02-06) (64-bit), both of which have the issue. HWA and e10s enabled. I'll post the error once it happens again.
Doug, what does the graphics section of about:support look like?
I had this black screen problem when alt tabbing between firefox and a PDF document i had opened.
 while alt tabbing my firefox screen went black as seen on the image below. I was using firefox with Intel integrated graphics (Nvidia switchable).
I think the driver may have stopped responding for a seconds and crashed firefox, it wasn't able to recover.

https://drive.google.com/file/d/0B_QqEourrb8rdmN1VVNremdHaXc/view?usp=sharing
(In reply to Milan Sreckovic [:milan] from comment #44)
> Doug, what does the graphics section of about:support look like?

Here's a screenshot of the requested section (without the error). Unable to reproduce yet since it happens randomly.

https://drive.google.com/open?id=0B2PnFGp_Hg5lUUxxZF93YWN4bmM
(In reply to hfgl7 from comment #45)
> I had this black screen problem when alt tabbing between firefox and a PDF
> document i had opened.
>  while alt tabbing my firefox screen went black as seen on the image below.
> I was using firefox with Intel integrated graphics (Nvidia switchable).
> I think the driver may have stopped responding for a seconds and crashed
> firefox, it wasn't able to recover.
> 
> https://drive.google.com/file/d/0B_QqEourrb8rdmN1VVNremdHaXc/view?usp=sharing

If you go to about:crashes, can you see the entry that would match the crash you experienced?  Can you submit/attach the link?
(In reply to Doug Abel from comment #46)
> (In reply to Milan Sreckovic [:milan] from comment #44)
> > Doug, what does the graphics section of about:support look like?
> 
> Here's a screenshot of the requested section (without the error). Unable to
> reproduce yet since it happens randomly.
> 
> https://drive.google.com/open?id=0B2PnFGp_Hg5lUUxxZF93YWN4bmM

Thanks!
I have this problem on a Windows 2012 Server over citrix. Seems to happen when you have a tab open with a flash advert on the page. If you click away from the tab then click back you get the black screen.
Firefox memory goes high and keeps increasing, but CPO low
Firefox.exe has to be killed from task manager

Firefox ESR 45.7.0, Flash 23 NPAPI
just updated to the latest nvidia driver version: 378.66
now I am having this exact problem
Just had the error happen again and here's a screenshot of the related about:support section.

https://drive.google.com/open?id=0B2PnFGp_Hg5lMDkzdTJld0FWNW8
I had a similar issue as well as I was just editing my site http://amantalwar.com

Un-installed old version, reboot and re-install the latest version, removed all the extensions and then add them 1 by 1 and that seemed to fix issue for me.
Ok, so I have several new images to share. Just had the problem occur again just now. Noticed something this time though; when the blacked-out content is active, Firefox continuously logs device resets, like it keeps trying to recover over and over and never does. As you can see in the image, it's up into the 3,000's. Additionally, the progress bar for the YT video still displays but everything else is black. Actually, the screen went black while I was watching the video fullscreen. Really hope this helps!

The black screen itself:
https://drive.google.com/open?id=0B2PnFGp_Hg5lbVRJY3lkZ19fcGs

Black screen with YT loading bar visible:
https://drive.google.com/open?id=0B2PnFGp_Hg5lVmVYNXVKQ2FWbnM

Graphics section, updated:
https://drive.google.com/open?id=0B2PnFGp_Hg5lVVJiVjNjbFVmTGs

Failure log:
https://drive.google.com/open?id=0B2PnFGp_Hg5lVUtkaVBrcUZjM2s
Some additional info... I'm running Firefox 53.0b8 x64 on Windows 10 Pro Insider Build 15063.11, and I only use three extensions: Greasemonkey, uBlock Origin, and Status-4-Evar. Nvidia graphics driver is 378.92. If there's any other info needed, please don't hesitate to ask! A big thank you to all the devs who continue to make Firefox the most awesome browser!
Thanks Doug.

Hey milan, is the information in comment 53 actionable?
Flags: needinfo?(milan)
Doug, is this on beta 53, or is it release 52?  Is it always correlated with video?  Does it happen on nightly 55?
Flags: needinfo?(milan) → needinfo?(racerduke)
It has been happening on the last few versions, the most recent being on 53.0b8. I don't have nightly installed, but I'd be happy to test it out as well.
Flags: needinfo?(racerduke)
Oh, as far as whether it's correlated with video, I'm not sure. I'll be on the lookout to see if that's the case if/when it happens again.
Ponging back to milan for comment 57 and comment 58.
Flags: needinfo?(milan)
I can confirm this to be happening on Aurora (2017-04-07) as well on a recently refreshed profile. I don't know if this is related but I get failures on the GPU process:
CP+[GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
I have the same issue on an Acer laptop with NVIDIA 750M. Upgrading drivers does not help. 

My desktop has a NVIDIA GTX 1060 and does not have this issue. 

Updating firefox does not help.
I have also been getting this issue for the last two months or so.

intel i3 6100 (3.70GHZ)
16gb memory
Windows 8.1 Pro 64-bit
Firefox 52.0.2
integrated Intel HD Graphics 530 

it happens with at least the latest versions of the graphics driver from either MSI (my motherboard manufacturer) or directly from intel.  For MSI I've used WIN64_21.20.16.4541 and I have also tried the latest driver from intel win64_21.20.16.4627.  I have used Display Driver Uninstaller in Safe Mode when switching between driver versions.

If I disable hardware acceleration in Firefox the issue still occurs although maybe a little less frequently however the performance of the browser is affected on more intensive websites and so this isn't a viable workaround for me.  I have also disabled hardware acceleration in the Flash plugin and I have just updated that to the latest 25.0.0.148 version
Here is a screenshot of my about:support Graphics section showing some entries in the Failure Log and some other errors which may or may not be relevant
It's happening to me with increased frequency. It seems that it happens mostly when I open youtube for a longer period.
Windows version 10.0.15063
Firefox version 54.0b1
GPU: NVIDIA GeForce GTX 660M, driver version 381.65
This bug appeared(?) to my computer after Windows 10 Creators update. Windows 10 Home, 1703 (15063.138), Intel Core i5-4690K, 16GB RAM, Geforce GTX 770 (driver version 381.65). Firefox 53.0 (April 19, 2017). It happens randomly, but daily. All opened tabs are messed up until I close them and restart Firefox.

(In reply to tupu1978 from comment #65)
> This bug appeared(?) to my computer after Windows 10 Creators update.
> Windows 10 Home, 1703 (15063.138), Intel Core i5-4690K, 16GB RAM, Geforce
> GTX 770 (driver version 381.65). Firefox 53.0 (April 19, 2017). It happens
> randomly, but daily. All opened tabs are messed up until I close them and
> restart Firefox.

Addons:

Adblock Plus
Browsing Protection by F-Secure
NoScript
Search by F-Secure
I have black screen (simultaneously on all tabs/instances of FF), sure it happens randomly. 
Last time it happened during checkout, I lost status of my order.... 
Win10 Pro 1607(14393.693); i7-4930; 28GB; Firefox 53.0
Just find out it is really dangerous, never happens with Edge or IE.  
Restart of FF is the only solution.
This happens to me when i'm on javascript heavy sites usually when some event is firing (page pauses for a moment then everything goes black). Facebook, Asana, etc.. I can still interact with youtube videos so it seems the content is still there, just cant see it anymore.
I updated FF to 53.0 a week ago. Am heavy user with several iterations of FF each with multiple tabs running simultaneously. Many tabs with video content. Immediately was inundated with the black screen problem across all tabs and sites. Did a full system restore to 52.0. Problem resolved. Am running Windows 7, 64 bit -- all updates in place.
Same issue here on Windows 10 Pro Creators and Firefox 53 ... I AM loosing my job on the browser. Bad experience.
[Tracking Requested - why for this release]:

There seems to be reports of the black screen happening 

https://www.reddit.com/r/firefox/comments/68gpc8/critical_bug_windows_10_creators_update/

as well as in bug 1359750.  Just want to make sure we get to the bottom of it.
Flags: needinfo?(milan)
Setting regression in 53 based on comment 69.
Keywords: regression
I visit the same set of websites every night. I have a GTX 770. I update Nvidia drivers as soon as they come out. I was running Firefox 52 x64 on Windows 10 1607 from March 7th, for approximately 3 weeks without issues.

The very night I upgraded to Creators Update (1703) I started getting the Firefox black screen issue. Disabling hardware acceleration resolves the issue. Clean install of OS and GPU drivers did not resolve it. However, on another PC running a GTX 750 TI with the latest drivers on Win 10 1703, I do not experience this issue at all.
Brief update: I don't have the issue on Nightly since I installed it about a month ago.
platform-rel: --- → ?
Whiteboard: gfx-noted → gfx-noted [platform-rel-Windows][platform-rel-Microsoft]
(In reply to bigdogchris from comment #73)
> I visit the same set of websites every night. I have a GTX 770. I update
> Nvidia drivers as soon as they come out. I was running Firefox 52 x64 on
> Windows 10 1607 from March 7th, for approximately 3 weeks without issues.
> 
> The very night I upgraded to Creators Update (1703) I started getting the
> Firefox black screen issue. Disabling hardware acceleration resolves the
> issue. Clean install of OS and GPU drivers did not resolve it. However, on
> another PC running a GTX 750 TI with the latest drivers on Win 10 1703, I do
> not experience this issue at all.

I have now seen this issue pop up on my second system with a 750 TI GPU while watching YouTube videos. Both have Creator's Update installed and both were fine prior to installing the update.
I can track this for 53 but it doesn't sound like we have much progress yet, and haven't been able to replicate the issue.
platform-rel: ? → +
(In reply to Liz Henry (:lizzard) (needinfo? me) from comment #76)
> I can track this for 53 but it doesn't sound like we have much progress yet,
> and haven't been able to replicate the issue.

Liz, I can easily replicate it (happens every day). After it happens, during the black screen, what can I do gather data to assist? I know a screenshot won't help but is there anything in the dev console or somewhere else I can pull data for you?
Chris, if it reproduces quickly for you, installing and running a debug build (e.g., install from https://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-inbound-win64-debug/1495727624/ for the 64-bit build, for example) and running would probably have good information in the (windows) command prompt.  But, it would be very slow to run, so if it takes a while to reproduce, it may not be practical.

I'm assuming opening a new tab and going to about:support doesn't show anything, otherwise that could have useful information; either way, attaching your about:support before the problem happens (doesn't need to be on the debug build) would be useful as well.
Flags: needinfo?(bigdogchris)
Too late to fix for 53, uncertain so far if this issue affects 54/55.
YES, this very old BUGS is present also on Firefox 54 I can confirm.
Seems has not been resolved 2 years ago this issue :) and now is breaking my Firefox Internet experience...
I'm starting to see a pattern here. I have an nvidia 770 and I have the same problem. Firefox goes black unexpectedly and restarting the browser is the only solution.

Maybe an incompatibility between drivers and firefox rendering engine?
Same issue here.
This is easily reproductible on YouTube.

System : 
Microsoft Windows 10 Pro x64-based PC
Version	10.0.15063 Build 15063 (Creators Update Redstone 2)
Intel(R) Xeon(R) CPU E5450  @ 3.00GHz, 3000 Mhz, 4 Core(s), 4 Logical Processor(s)
Installed Physical Memory (RAM)	8,00 GB
NVIDIA GeForce GTX 750 Ti (Driver Version	22.21.13.8233)
Resolution	1920 x 1080 x 60 hertz (Bits/Pixel	32) - Dual Screen

Firefox 53.0.2

I am now trying the latest Nightly (55.0a1).
Nightly (55.0a1) seems to fix the issue.
Same issue!
Firefox 53.0.3 (64 bit)

System: 
Microsoft Windows 10 Pro x64
Version: 10.0.15063.332
AMD FX-6300, 3500 MHz
RAM: 8.00 DDR3 1600 MHz
NVIDIA GeForce GTX 750 Ti 2GB (ASUS STRIX) Driver Version: 22.21.13.8233 - nVIDIA ForceWare 382.33
Resolution: 1680x1050 (60Hz)
ioana, can you try to reproduce this in 54 and 55, from descriptions here or in bug 1367628?
Flags: needinfo?(ioana.chiorean)
See Also: → 1364563
(In reply to Liz Henry (:lizzard) (needinfo? me) from comment #85)
> ioana, can you try to reproduce this in 54 and 55, from descriptions here or
> in bug 1367628?

Ioana, It seems the best chances are with Nvidia GeForce and Windows Creators Edition (so that the version that you see ends up being 10.0.15063.*)

For those that can reproduce it easily, if you are able to run mozregression and pinpoint when the problem started appearing would be amazing...
Bug 1364563 is likely a duplicate (leave it separate for now), and it may contain additional clues.
I should have asked Andrei not Ioana. Andrei can your team give this a try and see if you can reproduce? Here and in bug 1367628.
Flags: needinfo?(ioana.chiorean) → needinfo?(andrei.vaida)
Attached file DxDiag.txt
Attached file About_Support.txt
Hi Liz!

Unfortunately I failed to reproduce this issue using Firefox 53.0.3 (64bit) and 54.0 (64bit) on a Windows 10 Pro 64bit (build 15063.332-Creators Update) pc and on a Windows 10 Pro 64 bit (build 14393) pc. 
I tried to reproduce this using the following GPUs:
AMD Radeon R7 360
AMD Radeon HD 3000

If time permits, I will try investigating this issue further on.
Flags: needinfo?(andrei.vaida)
Windows 10 1703 (creators update) with Nvidia GPU.

I have narrowed down what could be causing the problem. 

What I previous had done to correct the issue was disable hardware acceleration. I have now found that I can have hardware acceleration enabled as long as I set about:config -> browser.tabs.remote.autostart.2 to false. If hardware acceleration is one and this setting is true, the black screen happens. Disabling one or the other fixes the issue. So it's definitely related to GPU issues and/or e10s.

Nvidia driver update 382.53 that came out yesterday mentions fixing a Firefox issue, but after installing this version I still have the black screen.
Confirming issue now happening on nightly 55.0a1 (2017-06-11) (64-bit). Same error(s) present under about:troubleshooting, but with a white screen now instead of black. Happened when visiting Facebook and a video was playing from the news feed.
Attached file crash1.txt
Flags: needinfo?(bigdogchris)
Attached file crash2.txt
(In reply to Milan Sreckovic [:milan] from comment #78)
> Chris, if it reproduces quickly for you, installing and running a debug
> build (e.g., install from
> https://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-inbound-
> win64-debug/1495727624/ for the 64-bit build, for example) and running would
> probably have good information in the (windows) command prompt.  But, it
> would be very slow to run, so if it takes a while to reproduce, it may not
> be practical.
> 
> I'm assuming opening a new tab and going to about:support doesn't show
> anything, otherwise that could have useful information; either way,
> attaching your about:support before the problem happens (doesn't need to be
> on the debug build) would be useful as well.

Running 55.0a1 I have experienced the crash twice today and uploaded the complete copy of the cmd box at the time of each crash.
[GPU 2848] ###!!! ASSERTION: Non preserves axis aligned transform with clipped child should have forced intermediate surface: 'is2D && matrix.PreservesAxisAlignedRectangles()', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/gfx/layers/Layers.cpp, line 617
Bas, the error above - something we need to worry about?
Flags: needinfo?(bas)
Tracking for 55 onwards since we have a report from 55 now.
(In reply to Milan Sreckovic [:milan] from comment #99)
> Bas, the error above - something we need to worry about?

It could cause an artifact but it shouldn't cause a black screen. It's weird that that happens though, but I don't know a lot about that code.
Flags: needinfo?(bas)
(In reply to OMV from comment #84)
> Same issue!
> Firefox 53.0.3 (64 bit)
> 
> System: 
> Microsoft Windows 10 Pro x64
> Version: 10.0.15063.332
> AMD FX-6300, 3500 MHz
> RAM: 8.00 DDR3 1600 MHz
> NVIDIA GeForce GTX 750 Ti 2GB (ASUS STRIX) Driver Version: 22.21.13.8233 -
> nVIDIA ForceWare 382.33
> Resolution: 1680x1050 (60Hz)

Any chance you could try with the just released 382.53 WHQL drivers?
(In reply to Arthur K. from comment #102)
> (In reply to OMV from comment #84)
> > Same issue!
> > Firefox 53.0.3 (64 bit)
> > 
> > System: 
> > Microsoft Windows 10 Pro x64
> > Version: 10.0.15063.332
> > AMD FX-6300, 3500 MHz
> > RAM: 8.00 DDR3 1600 MHz
> > NVIDIA GeForce GTX 750 Ti 2GB (ASUS STRIX) Driver Version: 22.21.13.8233 -
> > nVIDIA ForceWare 382.33
> > Resolution: 1680x1050 (60Hz)
> 
> Any chance you could try with the just released 382.53 WHQL drivers?

382.53, issue still happening. =(
(In reply to OMV from comment #103)
> (In reply to Arthur K. from comment #102)
> > (In reply to OMV from comment #84)
> > > Same issue!
> > > Firefox 53.0.3 (64 bit)
> > > 
> > > System: 
> > > Microsoft Windows 10 Pro x64
> > > Version: 10.0.15063.332
> > > AMD FX-6300, 3500 MHz
> > > RAM: 8.00 DDR3 1600 MHz
> > > NVIDIA GeForce GTX 750 Ti 2GB (ASUS STRIX) Driver Version: 22.21.13.8233 -
> > > nVIDIA ForceWare 382.33
> > > Resolution: 1680x1050 (60Hz)
> > 
> > Any chance you could try with the just released 382.53 WHQL drivers?
> 
> 382.53, issue still happening. =(

Ok. Just out of curiosity, can you go grab Portable Firefox 54 from (https://portableapps.com/apps/internet/firefox_portable) and run the installer (which will actually not install but will extract FF54 to your desktop) and run FF54 and see if it is still happening. That'll start you off with a clean profile from that self-contained folder. It will give an indication if it is possibly profile related.
I have this problem (screen turn black).
Are these the same bug?
bug 1286840
bug 1334839
also bug 1275798
I tried Nvidia drivers 382.53 when they came out and still had the issue. However, after doing a Firefox reset 2 days ago (creating a new profile) I have yet to experience the issue.

What's strange though is that I reinstalled my OS prior to 382.53 being released (which clears the profile, obviously) but it didn't resolve up. Perhaps some combination of 382.53 and a new profile is what is needed to fix it.
I've noticed that's probably linked to flash plugin, when the "black screen" happens it's often on a site that use this plugin.
Also on windows reliability monitor there is a "windows error" with name "LiveKernelEvent".
I use the x64 version which does not support Flash. It's GPU/hardware acceleration/e10's related because toggling those settings on/off makes it stop.
(In reply to bigdogchris from comment #107)
> I tried Nvidia drivers 382.53 when they came out and still had the issue.
> However, after doing a Firefox reset 2 days ago (creating a new profile) I
> have yet to experience the issue.
> 
> What's strange though is that I reinstalled my OS prior to 382.53 being
> released (which clears the profile, obviously) but it didn't resolve up.
> Perhaps some combination of 382.53 and a new profile is what is needed to
> fix it.

I take this back. Finally black screened. Took 3 days though where normally it happens almost immediately.
From another run where this happened:
(#1099)         CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
(#1100)         CP+[GFX1-]: (gfxWindowsPlatform) Finished device reset.
(#1101)         CP+[GFX1-]: LayerManager::EndTransaction skip RenderLayer().

Driver reset in the content process, then not recovering properly.

We're either doing something wrong, that we used to do before, but the new(er) Nvidia drivers are less forgiving, so restart, or, we're hitting a driver bug.  I'd like to think former, as that gives us a chance to do something about it, but I don't currently have the data.  Investigation continuing.
I've started using Chrome instead of Firefox on this troublesome machine (3 days ago) and there are no more errors in windows reliability monitor (linked to graphic engine), same usage pattern as before.

Firefox is hammering heavy on the GPU (compared to chrome), so it's possible it's exposing a bug on GPU driver, however a black screen until a restart I think it's unacceptable.
I did a push to try here:

https://treeherder.mozilla.org/#/jobs?repo=try&revision=fbacbd814ec85fdf5886a8c2a6e331bccfada2ce

This build should report D3D debug output, as can be viewed with DebugView:

https://technet.microsoft.com/en-us/sysinternals/debugview.aspx

If we have a log of this build from DebugView we may be able to determine whether there is something specifically buggy Firefox is doing that is causing the issue people are seeing.
Same as the others, black screens, all tabs, completely random, have to restart Firefox to fix.  

Searching around the web I found that a lot of the recent reports are from people with nVidia 600/700 series graphics cards (I have 2x GTX 670s myself). That and it starting after installing the Windows 10 creators update. Within 1 or 2 months from now I will likely be upgrading to a GTX 1080. I will report back whether that fixed it or not. 
In the latest driver update btw nVidia mentions having solved an issue with Firefox. Did not fix my black screens though.

-[Firefox.exe] : Browser errors may occur or the browser may crash with NVIDIA drivers. [200301372]

As I said it's random, although always when I have Youtube open (doesn't need to be a video playing). Never had it happen when watching a Twitch stream.
(In reply to Penlievskiov from comment #114)
> ...
> 
> As I said it's random, although always when I have Youtube open (doesn't
> need to be a video playing). Never had it happen when watching a Twitch
> stream.

YouTube and box shadow errors in bug 1367956 comment 5.  It'd be interesting to see how a custom build with nsCSSRendering::PaintBoxShadowOuter a no-op behaves.
Dominic, could you create a patch and push to try for a win32/win64 optimized build, we could ask some of the people seeing the errors to run it.
Flags: needinfo?(domfarolino)
I used to get this problem many times a day, however over the last month or so, I haven't had it a single time. It happened again last night however. I don't recall making any changes to my browser or system environment. It happened when I clicked back on the browser after it was in the background which had video playing on it. My drivers are up to date.
It's not Youtube related, just had one happen without even having any video service open. 

I guess I just automatically assumed it had to do with something like Youtube but I have that site open almost all the time so I shouldn't have jumped to that conclusion.

@Husk: I'm curious, what graphics card are you using?
Got the same problem. But sometimes the page turns white.
Happens randomly. Sometimes while moving the mouse to click something.
Turning HW accerelation fixes the problem. This bug has been in few versions before 54.
Updating gfx drivers wont fix. Have tried without addons or flash and still happens.
Got windows 10 x64 pro, i5-2500k, gtx1060 3GB

My other mini-pc with integrated intel HD graphics didnt have this problem
(In reply to hcfreak79 from comment #119)
i mean
Turning HW accerelation off fixes the problem

no edit button
Get the same problem as well. It occur in firefox release, beta and nightly.

I think maybe it is relate to quantum compositor/separate GPU process introduced in firefox 53, as i did not get this issue in previous firefox version. 

For now, i found the temporary workaround is to disable the quantum compositor by toggle layers.gpu-process.enabled and media.gpu-process-decoder in about:config to false, and i did not experience this issue anymore.

Windows 10 x64 Creator Update
Firefox x64 54
Nvidia Gtx 460
janoce1234 - that is very useful (slightly new) information; what happens if you just set media.gpu-process-decoder to false, but leave layers.gpu-process.enabled set to default true?
Flags: needinfo?(domfarolino)
Flags: needinfo?(janice_xll-fantasy)
Attached image ffbug.PNG
about:support of v52.2.0 esr and error log
52.2.0 takes this bug not as horrible as 54 does — black panels appearing partially and animated gifs are blinking black as well, unlike 54 is all pitch black and all you can do is to restart the app
also, i have few windows of v52.2 open and the black panels artifacts only present across the tabs of a first one (guess where the bug was triggered), other windows and tabs within them are fine, except for a "choppy scroll", since hw acceleration have crashed... artifacts won't go away, if you refresh an affected tab, but they will, if you close it and open a new one... hope this helps =)
(In reply to Milan Sreckovic [:milan] from comment #122)
> janoce1234 - that is very useful (slightly new) information; what happens if
> you just set media.gpu-process-decoder to false, but leave
> layers.gpu-process.enabled set to default true?

If i set media.gpu-process-decoder to false and leave layers.gpu-process.enabled to true, this issue will still occur. And any video playback with firefox is not hardware accelerated.

So, i just toggle both entries to false and did not get this issue anymore. 

One more thing, i notice this bug probably only affected Nvidia GPU, since i did not experience it with my other pc using Intel GPU.
Flags: needinfo?(janice_xll-fantasy)
Just upgraded to Firefox 54 (32bit) the other day and now I've been randomly getting these black windows, have to close & re-open FF to fit...

Running Windows 10 64bit, nvidia video. I updated my video drivers to latest, and even tried reverting back several versions. Tried disabling flash hardware acceleration. Nothing has seemed to help...

Considering rolling back to previous version of FF for the time being. Since the browser doesn't crash I don't know how to send in a report. Menus are okay, tabs up top still visible, just the window contents goes solid black.
seems like a problem affects NVIDIA GeForce 8600 GT as well, gonna try radeon hd 4890 next
For the Intel folks who might be seeing this on old gen CPUs (in my case, i3570), I just upgraded to 15.33.45.64.4653 WHQL (10.18.10.4653). Picked it up from Station Drivers. Guessing Intel should publish this driver soon.
I have been getting this black screen for about the last three versions (54, 53, 52). It's not easy to pinpoint exactly what triggers this. Although video seems to instigate it, or even flash, I can watch video for an hour straight with now issue. I typically encounter this black screen when switching tabs or opening a new page (which will have an auto-playing video). Sometimes commenting on issues on GitHub also triggers this.

My video card is: NVIDIA GeForce GTX 960M

Some previous comments have mentioned the recent Windows 10 update, but I'll add that this issue was affecting me even before I applied that update.

--
Source: Windows
Summary: Hardware error
Date: ‎6/‎28/‎2017 11:02 PM

Description
A problem with your hardware caused Windows to stop working correctly.

Problem signature
Problem Event Name:	LiveKernelEvent
Code:	141
--

And two similar reports within minutes of each other. I get a lot of these black "crashes" per day -- probably around 10-20 per day with just a few tabs open. Sadly the black screen will "bleed over" to other Firefox windows I have open, as I sometimes group tabs into several windows.
Just wanted to get back to you on this.
I used to be plagued by this Bug constantly, but haven't had any problems for ages now.
Difficult to put a date on last occurrence: 6 months, maybe even a year ago.
Anyway I just wanted to reflect on Milan's Comment 111:
https://bugzilla.mozilla.org/show_bug.cgi?id=1163440#c111
->
you might well be right: could be a Bug in the Driver, so you are maybe looking at finding a workaround rather than a Bugfix.
>
I've stopped updating my Video Drivers for 2 reasons:
1) don't want to see this problem again
2) some infinitely stupid person @ nVidia decided you have to register to get updates! Effing moron.
>
Anyway, currently I'm on Windows 10 Home, nVidia GeForce GTX 960M, Driver v376.54, DirectX v12.0
I have tried the workaround that janice1234 suggested here: https://bugzilla.mozilla.org/show_bug.cgi?id=1163440#c121 .
At first i thought it worked since i used to get this black screen like 1 or 2 times a day,and i went a day without issues.
But then it started happening again.So sadly it does not work for me.
Actually the black screen bug got even worse no matter if i use the workaround or not.I just had the bug happen 3 times in less than 1 hour.And one of the times i was using the workaround and the others not.
For me it always happens watching videos on YouTube.I never had it happen anywhere else or doing anything else.

Here is as much relevant information as i can give.

- For me it started happening right after i got my Windows 10 Pro x64(version 1607) upgraded to Windows 10 Creators Update(version 1703) on June 15th.
- At the same day(June 15th) my Firefox got updated from 53.0.3 to 54.
- Around that time my Nvidia drivers also got updated(June 9th is the release date).

I haven't tried using the previous Nvidia drivers or previous FF version yet.
(In reply to Penlievskiov from comment #114)
> Same as the others, black screens, all tabs, completely random, have to
> restart Firefox to fix.  
> 
> Searching around the web I found that a lot of the recent reports are from
> people with nVidia 600/700 series graphics cards (I have 2x GTX 670s
> myself). That and it starting after installing the Windows 10 creators
> update. Within 1 or 2 months from now I will likely be upgrading to a GTX
> 1080. I will report back whether that fixed it or not. 
> In the latest driver update btw nVidia mentions having solved an issue with
> Firefox. Did not fix my black screens though.
> 
> -[Firefox.exe] : Browser errors may occur or the browser may crash with
> NVIDIA drivers. [200301372]
> 
> As I said it's random, although always when I have Youtube open (doesn't
> need to be a video playing). Never had it happen when watching a Twitch
> stream.

There are many cases of this issue occuring on 400/500, 600/700, 900 and 1000 series gpu's,

The black screen occurs when the driver encounters a partial engine reset and Firefox's renderer is not recovering from this condition (although the driver has).
I also had this problem livekernelevent 141 (black screen) on this hardware configuration:

MB: ASUS RAMPAGE V EXTREME
CPU: Intel® Core™ i7-5960X Processor Extreme Edition 4.2 GHZ 1.168V - CORSAIR Hydro Series H80i v2
Video: NVIDIA GEFORCE GTX 1070 Founders Edition.
Memory: CORSAIR Dominator® Platinum Series 16GB (2 x 8GB) DDR4 DRAM 3200MHz C14 Memory Kit
PSU: Seasonic PRIME Platinum 850 w
SSD: Samsung SSD 850 EVO 2TB
SSD: Samsung SSD 850 EVO 2TB
SSD: Samsung SSD 850 PRO 2TB
SSD: Samsung 950 PRO M.2 512GB OS
SOUND: Sound Blaster Z
NETWORK:Intel® Ethernet Server Adapter I210
USB 3.1 FRONT PANEL Gen 2 Type-A
USB 3.1 UPD PANEL Gen 2 Type-C 100W charging
CASE:Cooler Master: HAF X
MONITOR:IPS LED LG 27" 27UD68-W, 4K (3840 x 2160), HDMI, DisplayPort, 5 ms
TV: LG OLED55B6J
OS: Windows 10 x64 Pro (build 1703) always up to date 

When firefox team will fix this ? or it's a nvidia driver bug ??
also tried with old driver 378.97 same black screen
See Also: → 1358741
(In reply to Dominic Farolino [:domfarolino] from comment #137)
> https://treeherder.mozilla.org/#/
> jobs?repo=try&revision=6322b8812ae68dd418cfdc1cbbaf22dcf47cdc2d
> 
> ^ Here's a try run with nsCssRendering::PaintBoxShadowOuter as a no-op

what's this ??
So after the latest Nvidia 384.76 driver update I have noticed some weird new behavior.

Prior to this driver version, by setting browser.tabs.remote.autostart.2 to false, I would not experience the black screen. Now after the drive update I have started getting the black screen even with this set to false. However, if I experience a black screen while watching a full screen YouTube video and I move my mouse the black screen goes away. What's even more interesting is if I am on a page that has YouTube video embedded in it, and it goes black, if I scroll down the page the display comes back from black. If I scroll back up to the embedded video the display goes black again.

I saw people earlier mention Flash plugin. I do not have the Flash plugin installed.
Attached image ffbug02.png
(In reply to Dominic Farolino [:domfarolino] from comment #137)
> https://treeherder.mozilla.org/#/
> jobs?repo=try&revision=6322b8812ae68dd418cfdc1cbbaf22dcf47cdc2d
> 
> ^ Here's a try run with nsCssRendering::PaintBoxShadowOuter as a no-op

now my tabs turn white (light gray) instead of black on this build
A problem with your hardware caused Windows to stop working correctly.

Problem signature
Problem Event Name:	LiveKernelEvent
Code:	141
Parameter 1:	ffffad86b64814a0
Parameter 2:	fffff80965a3c584
Parameter 3:	0
Parameter 4:	1d80
OS version:	10_0_15063
Service Pack:	0_0
Product:	256_1
OS Version:	10.0.15063.2.0.0.256.48
Locale ID:	1033

this is the problem when got the black screen only in firefox 

maybe you will release a fix
this is the event log for a partial gpu reset, mozilla can only fix the side of the issue that involves the tab contents no longer being painted, not the device having a fault.
I having this more & more with Firefox 54.0.1 (64-bit) on Windows 10. This never occurred with the 32-bit version for me.
(In reply to bcolflesh from comment #144)
> I having this more & more with Firefox 54.0.1 (64-bit) on Windows 10. This
> never occurred with the 32-bit version for me.

yes you maybe right ...but it depends how intense you use firefox...if you use a lot of tabs it will fail also on 32bit 

most problems occurs on pascal gpu 

did you use pascal gpu ??
(In reply to MirceaForce from comment #145)
> (In reply to bcolflesh from comment #144)
> > I having this more & more with Firefox 54.0.1 (64-bit) on Windows 10. This
> > never occurred with the 32-bit version for me.
> 
> yes you maybe right ...but it depends how intense you use firefox...if you
> use a lot of tabs it will fail also on 32bit 
> 
> most problems occurs on pascal gpu 
> 
> did you use pascal gpu ??

Kepler GPU - it's an Nvidia Quadro K600 on my work PC.
(In reply to Danial Horton from comment #142)
> this is the event log for a partial gpu reset, mozilla can only fix the side
> of the issue that involves the tab contents no longer being painted, not the
> device having a fault.

Right, it doesn't necessarily help us with dealing with the aftermath of the device reset.  However, if we have a log when device reset happens, we may be able to adjust what we're doing that's triggering a bug in the driver, so sometimes these logs do help.

If you can reproduce the device reset, https://wiki.mozilla.org/index.php?title=Platform/GFX/Device_Reset_Debugging describes how to get the extra information that could help us.

For those that can reproduce the problem, and see a device reset happens - if you have time to follow the instructions in the above wiki page and attach the data, that would be great.
(In reply to Milan Sreckovic [:milan] from comment #147)

I also had to add debug layers, after installing SDK, by executing:

Dism /online /add-capability /capabilityname:Tools.Graphics.DirectX~~~~0.0.1.0

and now I'll try to reproduce this =)
(In reply to whitekolovrat from comment #148)
> (In reply to Milan Sreckovic [:milan] from comment #147)
> 
> I also had to add debug layers, after installing SDK, by executing:
> 
> Dism /online /add-capability
> /capabilityname:Tools.Graphics.DirectX~~~~0.0.1.0
> 
> and now I'll try to reproduce this =)

Thanks!  I updated the wiki page with these instructions.
hope to have a fix soon
For what it's worth, I was experiencing the blackscreen problem very frequently on Ffx 54 32-bit. I have recently downgraded to 52 ESR and the problem went away completely. I have a Lenovo laptop with Intel 520 graphics and experienced this problem with their latest driver (ver 21.20.16.4678).
Attached file dbgview1.zip
finally caught it, here is the log, flooded with warning messages, had to cut it down from nearly 4gb in size
It seems today is one of those days when i get a lot of black screens.3 times in 30 min so far.
The interesting thing is that the third time the "device reset" actually finished and after about 3 sec of black screen everything went back to normal without the need of browser restart.
I am not sure what relevant data i can give so i am just going to paste the Troubleshooting page entries about the "device reset".

Application Basics
------------------

Name: Firefox
Version: 54.0.1
Build ID: 20170628075643
Update Channel: release
User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0
OS: Windows_NT 10.0
Multiprocess Windows: 1/1 (Enabled by user)
Google Key: Found
Mozilla Location Service Key: Found
Safe Mode: false

Crash Reports for the Last 3 Days
---------------------------------

All Crash Reports

Extensions
----------

Name: ABV Notifier
Version: 1.0.5
Enabled: true
ID: abvnotifier@netinfo.bg

Name: Application Update Service Helper
Version: 2.0
Enabled: true
ID: aushelper@mozilla.org

Name: Classic Theme Restorer
Version: 1.6.8.1beta1
Enabled: true
ID: ClassicThemeRestorer@ArisT2Noia4dev

Name: Cleanest Addon Manager
Version: 7.1
Enabled: true
ID: cam@sdrocking.com

Name: Download Manager (S3)
Version: 4.11
Enabled: true
ID: s3download@statusbar

Name: enter-selects
Version: 16
Enabled: true
ID: enter.selects@agadak.net

Name: FEBE
Version: 8.9.3.1
Enabled: true
ID: {4BBDD651-70CF-4821-84F8-2B918CF89CA3}

Name: FindBar Tweak
Version: 2.1.12
Enabled: true
ID: fbt@quicksaver

Name: Firefox Screenshots
Version: 6.6.0
Enabled: true
ID: screenshots@mozilla.org

Name: Follow-on Search Telemetry
Version: 0.9.1
Enabled: true
ID: followonsearch@mozilla.com

Name: Forecastfox (fix version)
Version: 2.4.8
Enabled: true
ID: forecastfox@s3_fix_version

Name: Ghostery
Version: 7.2.2
Enabled: true
ID: firefox@ghostery.com

Name: Greasemonkey
Version: 3.11
Enabled: true
ID: {e4a8a97b-f2ed-450b-b12d-ee082ba24781}

Name: LastPass: Free Password Manager
Version: 4.1.54a
Enabled: true
ID: support@lastpass.com

Name: Multi-process staged rollout
Version: 1.50
Enabled: true
ID: e10srollout@mozilla.org

Name: Pocket
Version: 1.0.5
Enabled: true
ID: firefox@getpocket.com

Name: Preferences Monitor
Version: 3.6.1.1-signed.1-let-fixed.1-signed
Enabled: true
ID: {517f9e52-c795-4764-bf77-5e2db596cee6}

Name: ReloadEvery
Version: 45.0.0
Enabled: true
ID: {888d99e7-e8b5-46a3-851e-1ec45da1e644}

Name: Shield Recipe Client
Version: 1.0.0
Enabled: true
ID: shield-recipe-client@mozilla.org

Name: uBlock Origin
Version: 1.13.8
Enabled: true
ID: uBlock0@raymondhill.net

Name: Web Compat
Version: 1.1
Enabled: true
ID: webcompat@mozilla.org

Name: X-notifier (for Gmail™,Hotmail,Yahoo,AOL...)
Version: 4.0.3
Enabled: true
ID: {37fa1426-b82d-11db-8314-0800200c9a66}

Name: Kaspersky Protection
Version: 5.0.141-4-20161031140250
Enabled: false
ID: light_plugin_F6F079488B53499DB99380A7E11A93F6@kaspersky.com

Graphics
--------

Features
Compositing: Direct3D 11
Asynchronous Pan/Zoom: wheel input enabled
WebGL 1 Driver WSI Info: EGL_VENDOR: Google Inc. (adapter LUID: 0000000000006a87) EGL_VERSION: 1.4 (ANGLE 2.1.0.2a250c8a0e15) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_ANGLE_direct_composition EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_stream_producer_d3d_texture_nv12 EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses
WebGL 1 Driver Renderer: Google Inc. -- ANGLE (NVIDIA GeForce GTX 970 Direct3D11 vs_5_0 ps_5_0)
WebGL 1 Driver Version: OpenGL ES 2.0 (ANGLE 2.1.0.2a250c8a0e15)
WebGL 1 Driver Extensions: GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object
WebGL 1 Extensions: ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_frag_depth EXT_shader_texture_lod EXT_texture_filter_anisotropic EXT_disjoint_timer_query MOZ_debug_get OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context MOZ_WEBGL_lose_context MOZ_WEBGL_compressed_texture_s3tc MOZ_WEBGL_depth_texture
WebGL 2 Driver WSI Info: EGL_VENDOR: Google Inc. (adapter LUID: 0000000000006a87) EGL_VERSION: 1.4 (ANGLE 2.1.0.2a250c8a0e15) EGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_ANGLE_direct_composition EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_stream_producer_d3d_texture_nv12 EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses
WebGL 2 Driver Renderer: Google Inc. -- ANGLE (NVIDIA GeForce GTX 970 Direct3D11 vs_5_0 ps_5_0)
WebGL 2 Driver Version: OpenGL ES 3.0 (ANGLE 2.1.0.2a250c8a0e15)
WebGL 2 Driver Extensions: GL_ANGLE_depth_texture GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_pack_reverse_row_order GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_sync_query GL_EXT_blend_minmax GL_EXT_color_buffer_float GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_frag_depth GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_dxt1 GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_norm16 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_EGL_image_external_essl3 GL_OES_compressed_ETC1_RGB8_texture GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object
WebGL 2 Extensions: EXT_color_buffer_float EXT_texture_filter_anisotropic EXT_disjoint_timer_query MOZ_debug_get OES_texture_float_linear WEBGL_compressed_texture_s3tc WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context MOZ_WEBGL_lose_context MOZ_WEBGL_compressed_texture_s3tc
Audio Backend: wasapi
Direct2D: true
DirectWrite: true (10.0.15063.413)
GPU #1
Active: Yes
Description: NVIDIA GeForce GTX 970
Vendor ID: 0x10de
Device ID: 0x13c2
Driver Version: 22.21.13.8476
Driver Date: 6-27-2017
Drivers: C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_2386fda73b467ac8\nvldumdx.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_2386fda73b467ac8\nvldumdx.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_2386fda73b467ac8\nvldumdx.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_2386fda73b467ac8\nvldumdx.dll C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_2386fda73b467ac8\nvldumd.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_2386fda73b467ac8\nvldumd.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_2386fda73b467ac8\nvldumd.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_2386fda73b467ac8\nvldumd.dll
Subsys ID: 00000000
RAM: 4096

Diagnostics
AzureCanvasAccelerated: 0
AzureCanvasBackend: direct2d 1.1
AzureContentBackend: direct2d 1.1
AzureFallbackCanvasBackend: skia
failures: [GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
Decision Log
D3D9_COMPOSITING:
disabled by default: Disabled by default
WEBRENDER:
unavailable by runtime: Build doesn't include WebRender


Failure Log
(#0) Error: (gfxWindowsPlatform) Detected device reset: 1
(#1) Error: (gfxWindowsPlatform) Finished device reset.
(#2) Error: LayerManager::EndTransaction skip RenderLayer().
(#3) Error: (nsWindow) Detected device reset: 1
(#4) Error: (nsWindow) Finished device reset.

Important Modified Preferences
------------------------------

accessibility.typeaheadfind.flashBar: 0
accessibility.typeaheadfind.prefillwithselection: false
browser.cache.disk.capacity: 358400
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 4
browser.download.importedFromSqlite: true
browser.download.useDownloadDir: false
browser.places.smartBookmarksVersion: 8
browser.sessionstore.restore_on_demand: false
browser.sessionstore.upgradeBackup.latestBuildID: 20170628075643
browser.startup.homepage: http://zamunda.net/browse.php?search=&cat=4&incldead=1
browser.startup.homepage_override.buildID: 20170628075643
browser.startup.homepage_override.mstone: 54.0.1
browser.tabs.closeWindowWithLastTab: false
browser.tabs.remote.autostart.2: true
browser.tabs.remote.force-enable: true
browser.urlbar.autoFill: false
browser.urlbar.daysBeforeHidingSuggestionsPrompt: 3
browser.urlbar.lastSuggestionsPromptDate: 20170422
browser.urlbar.maxRichResults: 50
browser.urlbar.searchSuggestionsChoice: false
browser.urlbar.userMadeSearchSuggestionsChoice: true
extensions.lastAppVersion: 54.0.1
gfx.crash-guard.d3d11layers.appVersion: 54.0.1
gfx.crash-guard.d3d11layers.deviceID: 0x13c2
gfx.crash-guard.d3d11layers.driverVersion: 22.21.13.8476
gfx.crash-guard.d3d11layers.feature-d2d: true
gfx.crash-guard.d3d11layers.feature-d3d11: true
gfx.crash-guard.status.d3d11layers: 2
gfx.crash-guard.status.d3d11video: 2
layers.gpu-process.enabled: false
media.benchmark.vp9.fps: 205
media.benchmark.vp9.versioncheck: 2
media.block-autoplay-until-in-foreground: true
media.gmp-gmpopenh264.abi: x86-msvc-x64
media.gmp-gmpopenh264.lastUpdate: 1492808368
media.gmp-gmpopenh264.version: 1.6
media.gmp-manager.buildID: 20170628075643
media.gmp-manager.lastCheck: 1500654352
media.gmp-widevinecdm.abi: x86-msvc-x64
media.gmp-widevinecdm.lastUpdate: 1492808369
media.gmp-widevinecdm.version: 1.4.8.903
media.gmp.storage.version.observed: 1
media.gpu-process-decoder: false
media.hardware-video-decoding.failed: false
network.cookie.prefsMigrated: true
network.dns.disablePrefetch: true
network.http.speculative-parallel-limit: 0
network.predictor.cleaned-up: true
network.prefetch-next: false
places.database.lastMaintenance: 1500404675
places.history.expiration.transient_current_max_pages: 126118
plugin.disable_full_page_plugin_for_types: application/pdf
privacy.donottrackheader.enabled: true
security.default_personal_cert: Select Automatically
security.disable_button.openCertManager: false
security.sandbox.content.tempDirSuffix: {067513f6-1191-42eb-b6a7-4bd27f5b4ef5}
services.sync.declinedEngines: tabs
services.sync.engine.greasemonkey: true
services.sync.engine.prefs.modified: false
services.sync.engine.tabs: false
services.sync.lastPing: 1500578033
services.sync.lastSync: Fri Jul 21 2017 19:25:10 GMT+0300 (FLE Standard Time)
services.sync.numClients: 1
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1498060595
ui.osk.debug.keyboardDisplayReason: IKPOS: Touch screen not found.

Important Locked Preferences
----------------------------

Places Database
---------------

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: false
Prevent Accessibility: 0

Library Versions
----------------

NSPR
Expected minimum version: 4.14
Version in use: 4.14

NSS
Expected minimum version: 3.30.2
Version in use: 3.30.2

NSSSMIME
Expected minimum version: 3.30.2
Version in use: 3.30.2

NSSSSL
Expected minimum version: 3.30.2
Version in use: 3.30.2

NSSUTIL
Expected minimum version: 3.30.2
Version in use: 3.30.2

Experimental Features
---------------------

Sandbox
-------

Content Process Sandbox Level: 1
Thanks for the data, as well as the about:support.

Would you mind setting media.windows-media-foundation.allow-d3d11-dxva in about support to false, restarting, and letting us know if the problem is still there?
This could be from advanced layers, so not the cause:
00662784	4258.75634766	[10656] D3D11 WARNING: ID3D11DeviceContext::DrawInstanced: The size of the Constant Buffer at slot 1 of the Vertex Shader unit is too small (32768 bytes provided, 65472 bytes, at least, expected). This is OK, as out-of-bounds reads are defined to return 0. It is also possible the developer knows the missing data will not be used anyway. This is only a problem if the developer actually intended to bind a sufficiently large Constant Buffer for what the shader expects.  [ EXECUTION WARNING #351: DEVICE_DRAW_CONSTANT_BUFFER_TOO_SMALL]
00654713	4124.14550781	[10656] D3D11 WARNING: ID3D11DeviceContext::OMSetRenderTargets: Resource being set to OM RenderTarget slot 0 is still bound on input! [ STATE_SETTING WARNING #9: DEVICE_OMSETRENDERTARGETS_HAZARD]
00654714	4124.14550781	[10656] D3D11 WARNING: ID3D11DeviceContext::OMSetRenderTargets[AndUnorderedAccessViews]: Forcing PS shader resource slot 0 to NULL. [ STATE_SETTING WARNING #7: DEVICE_PSSETSHADERRESOURCES_HAZARD]
.......
00660106	4184.27929688	[6672] d:\rs2\shellcommon\shell\contentdeliverymanager\background.shared\contentmanager\rendererinfo.cpp(189)\ContentDeliveryManager.Background.dll!00007FFC2F6FF9AC: (caller: 00007FFC2F701365) Exception(3) tid(2410) 8007000B Áûëà ñäåëàíà ïîïûòêà çàãðóçèòü ïðîãðàììó, èìåþùóþ íåâåðíûé ôîðìàò. 
00660107	4184.27929688	[6672]     CallContext:[\MaintenanceTaskActivity] 
00660108	4184.27978516	[6672] d:\rs2\shellcommon\shell\contentdeliverymanager\background.shared\contentmanager\rendererinfo.cpp(205)\ContentDeliveryManager.Background.dll!00007FFC2F7ED251: (caller: 00007FFC2F701365) Exception(4) tid(2410) 8007000B Áûëà ñäåëàíà ïîïûòêà çàãðóçèòü ïðîãðàììó, èìåþùóþ íåâåðíûé ôîðìàò. 
00660109	4184.27978516	[6672]     Msg:[1497467920`116000000000270658`0``0`202914`0 -- Platform::Exception^: d:\rs2\shellcommon\shell\contentdeliverymanager\background.shared\contentmanager\rendererinfo.cpp(189)\ContentDeliveryManager.Background.dll!00007FFC2F6FF9AC: (caller: 00007FFC2F701365) Exception(3) tid(2410) 8007000B Áûëà ñäåëàíà ïîïûòêà çàãðóçèòü ïðîãðàììó, èìåþùóþ íåâåðíûé ôîðìàò. 
00660110	4184.27978516	[6672]     CallContext:[\MaintenanceTaskActivity] 
00660111	4184.27978516	[6672] ] CallContext:[\MaintenanceTaskActivity] 
00660114	4202.92431641	[3616] D3D11: Removing Device.
00660115	4202.92480469	[3616] D3D11 ERROR: ID3D11Device::RemoveDevice: Device removal has been triggered for the following reason (DXGI_ERROR_DEVICE_HUNG: The Device took an unreasonable amount of time to execute its commands, or the hardware crashed/hung. As a result, the TDR (Timeout Detection and Recovery) mechanism has been triggered. The current Device Context was executing commands when the hang occurred. The application may want to respawn and fallback to less aggressive use of the display hardware). [ EXECUTION ERROR #378: DEVICE_REMOVAL_PROCESS_AT_FAULT]

"...fallback to less aggressive use of the display hardware..." :)
I wouldn't mind experimenting with D3D11_CREATE_DEVICE_DISABLE_GPU_TIMEOUT behind a pref.
If this is coming from video, would calling mContext->Flush() in DXVA2Manager.cpp help, if this really is the "too much work" scenario.
Of course, it could be the multi-threading problem and mutex not properly working.
The theory I like the best so far is that we need to have Present call in the critical section so that it and video don't clash.
Is something like this worth a try, perhaps behind a pref?  There are indications that Present needs to be in the critical section as well.
Attachment #8888918 - Flags: feedback?(matt.woodrow)
Attachment #8888918 - Flags: feedback?(bas)
(In reply to Milan Sreckovic [:milan] from comment #160)
> Created attachment 8888918 [details] [diff] [review]
> Put a mutex around the present call.

(Ignore the "a" at the start of the file :)
(In reply to Milan Sreckovic [:milan] from comment #154)
> Thanks for the data, as well as the about:support.
> 
> Would you mind setting media.windows-media-foundation.allow-d3d11-dxva in
> about support to false, restarting, and letting us know if the problem is
> still there?

I set that pref to false and yesterday i still got a black screen,but only once for the day and got a new failure entry which i forgot to copy before i restarted.
I just got the black screen again for the first time today and copied the data.
For now it seems that the frequency of this bug happening is reduced.Tho at times i have been black screen free for up to 2-3 days before.
Here is only the part with the failure logs(everything else should be the same since i haven't made any changes):

Diagnostics
AzureCanvasAccelerated: 0
AzureCanvasBackend: Direct2D 1.1
AzureCanvasBackend (UI Process): skia
AzureContentBackend: Direct2D 1.1
AzureContentBackend (UI Process): skia
AzureFallbackCanvasBackend (UI Process): cairo
failures: CP+[GFX1]: Failed to map bitmap (M).
Decision Log
D3D9_COMPOSITING:
disabled by default: Disabled by default
WEBRENDER:
unavailable by runtime: Build doesn't include WebRender


Failure Log
(#0): CP+[GFX1]: Failed to map bitmap (M).
(#1100): CP+[GFX1-]: (gfxWindowsPlatform) Finished device reset.
(#1101): CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
(#1102): CP+[GFX1-]: (gfxWindowsPlatform) Finished device reset.
(#1103): CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
(#1104): CP+[GFX1-]: (gfxWindowsPlatform) Finished device reset.
(#1105): CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
(#1106): CP+[GFX1-]: (gfxWindowsPlatform) Finished device reset.
(#1107): CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
(#1108): CP+[GFX1-]: (gfxWindowsPlatform) Finished device reset.
(#1109): CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
(#1110): CP+[GFX1-]: (gfxWindowsPlatform) Finished device reset.
(#1111): CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
(#1112): CP+[GFX1-]: (gfxWindowsPlatform) Finished device reset.
(#1113): CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
(#1114): CP+[GFX1-]: (gfxWindowsPlatform) Finished device reset.
Persistent black screen on Lenovo P50 (win10) running beta 55b7.

about:support/etc are ok; all tabs are black.  Killing the GPU process doesn't resolve the black video problem (killed it just before saving about:support).

Likely no new info here, but just in case.
An experiment with the mutex around present (though we shouldn't need it) to see if it makes a difference.  For those that can reproduce, this is the code change - https://treeherder.mozilla.org/#/jobs?repo=try&revision=77a34a80c78c23441d5683ab4a32b1f4bb85dcf0, and you can download the 
64-bit installer - https://archive.mozilla.org/pub/firefox/try-builds/msreckovic@mozilla.com-77a34a80c78c23441d5683ab4a32b1f4bb85dcf0/try-win64/firefox-56.0a1.en-US.win64.installer.exe or this 32-bit installer - https://archive.mozilla.org/pub/firefox/try-builds/msreckovic@mozilla.com-77a34a80c78c23441d5683ab4a32b1f4bb85dcf0/try-win32/firefox-56.0a1.en-US.win32.installer.exe and give it a try.

Randell, how often do you run into this problem?

To be clear, we're trying to stop the resets from happening, rather than recover from them when they do.  The recovery is in different bugs, so the thing to check with this patch is not whether we recover from the black regions/screen, but not to get them in the first place :)  It is a bit of a shot in the dark, and theoretically not needed, but we're in a fairly unique situation with how hard Firefox pushes multithreading and D3D...
Comment on attachment 8888918 [details] [diff] [review]
Put a mutex around the present call.

Review of attachment 8888918 [details] [diff] [review]:
-----------------------------------------------------------------

Hmm.. it seems really weird that this would make a difference. If it -does- that would be interesting, it could probably cause the compositor thread to block the content thread quite a bit more so it's quite possibly not landable in its current form. (You could measure locally how long Present calls can take, but I think it's quite a while).
Attachment #8888918 - Flags: feedback?(bas)
Comment on attachment 8888918 [details] [diff] [review]
Put a mutex around the present call.

As Bas said, this might hurt perf too much. We could land it for Nightly though if you think it'll gather enough useful information, just don't want it riding the trains without knowing a lot more.
Attachment #8888918 - Flags: feedback?(matt.woodrow) → feedback+
I rolled back to 1607 from 1703 seven (7) days ago and have not had the problem.
(In reply to bigdogchris from comment #167)
> I rolled back to 1607 from 1703 seven (7) days ago and have not had the
> problem.

did you your computer non stop ?
(In reply to Milan Sreckovic [:milan] from comment #164)

> Randell, how often do you run into this problem?

It's happened twice in the last few days (just had to restart beta because it happened; looks like it happened while it was idle).  Note that when this happens tab switching is slow (expected), and it seems like background color gets painted.

> To be clear, we're trying to stop the resets from happening, rather than
> recover from them when they do.  The recovery is in different bugs, so the
> thing to check with this patch is not whether we recover from the black
> regions/screen, but not to get them in the first place :)  It is a bit of a
> shot in the dark, and theoretically not needed, but we're in a fairly unique
> situation with how hard Firefox pushes multithreading and D3D...
Came back to check beta after lunch (no browsing after restart), and it had happened again.  So I downloaded your test (nightly) build, started it, and selected that tab again to see what happens.
(In reply to MirceaForce from comment #168)
> (In reply to bigdogchris from comment #167)
> > I rolled back to 1607 from 1703 seven (7) days ago and have not had the
> > problem.
> 
> did you your computer non stop ?

I am not sure what you are asking. I have been using the computer every day since Monday, July 7th on Windows 10 1607 with GTX 770 and the latest Nvidia drivers without the black screen. This confirms my previous evidence I posted that the issue only occurs, for me, on Windows 10 1703 with Nvidia 770 and latest drivers.

Whatever Microsoft changed in 1703 related to graphics/hardware acceleration seems to be directly causing the black screen issue.
I'm pretty sure I'm seeing this bug too with 52.2.1esr (64bit) on Linux.

I've never seen this before, I upgraded from 45.9.0esr to 52.2.1esr (all downloaded straight from mozilla.org - no custom distro packages) today and it was immediately broken. I always start FF on the command line with -no-remote to bring up the profile chooser (ff52_profile_chooser.png). As you can see, widgets are all broken, black and white seem to be inverted, and scrolling results in corruption.

Tried an existing profile and created a new profile, both are the same (ff52_tabs.png). Turned hardware acceleration on and off (quitting and restarting to test each time), disabled all plugins and add-ons, restarted in safe mode; all resulted in no observable change in behaviour. Menus appear as grey text & icons on a transparent background. In the screenshot (ff52_menu.png) it came out as black instead of transparent.

I uninstalled 52.2.1 and switched back to 45.9.0 and my profiles are fine, like nothing ever happened.
Attachment #8890661 - Attachment description: Profile chooser with FF 52.2.1esr (Linux 64bit) → ff52_profile_chooser.png Profile chooser, 52.2.1esr, Linux 64bit
(In reply to Randell Jesup [:jesup] from comment #170)
> Came back to check beta after lunch (no browsing after restart), and it had
> happened again.  So I downloaded your test (nightly) build, started it, and
> selected that tab again to see what happens.

No failures in most of a day.  (Note: the tab in question rotates an image every few seconds.)
I did (in another normal Nightly, without this patch) see weird gfx corruptions today on the same machine.  restarting the browser fixed it.
(In reply to Milan Sreckovic [:milan] from comment #178)
> Created attachment 8891049 [details]
> Bug 1163440: Behind a preference, off by default, use a mutex around present
> calls.  This makes it easier to test with users that can reproduce some
> problems.
> 
> Review commit: https://reviewboard.mozilla.org/r/162236/diff/#index_header
> See other reviews: https://reviewboard.mozilla.org/r/162236/

I'd like to give this a try, so that users can test it easier than downloading a special build.  If it does not help, well, we have an answer.

If it does help, we have a quandary.  The comments are saying that we'd never do it, and if it does help, it may be because it subtly changes timing, rather than actually fixes the problem.

Still, feels like we can get more info.
For those that still see a problem, can you try running for a bit with layers.acceleration.draw-fps set to true (it does show you some debugging information in the top left corner, hopefully not too distracting) and see if it happens in those scenarios as well?  I understand we disable partial present in this case, we can see if it's perhaps related.
We are only one week from 55 RC. Mark 54 won't fix.
Comment on attachment 8891049 [details]
Bug 1163440: Behind a preference, off by default, use a mutex around present calls.  This makes it easier to test with users that can reproduce some problems.

https://reviewboard.mozilla.org/r/162236/#review167798

I'm okay with this, but is there a reason we don't just make the pref live and store it in a local var inside CompositorD3D11::Present()?
Attachment #8891049 - Flags: review?(bas) → review+
Do we ever have multiple compositors "alive" at the same time?  I started with the live preference, but then made a change not being sure if some short lived windows are accelerated.  As to the checking the pref directly instead of local variable - I was mostly worried about the performance impact, a cache miss opportunity?
Pushed by msreckovic@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/639e49a6841b
Behind a preference, off by default, use a mutex around present calls.  This makes it easier to test with users that can reproduce some problems. r=bas
https://hg.mozilla.org/mozilla-central/rev/639e49a6841b
Status: REOPENED → RESOLVED
Closed: 5 years ago2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla56
still no failures sitting on that website where I had multiple failures in a day, using milan's build.  I have basically let it sit there without touching it.
(In reply to Wes Kocher (:KWierso) from comment #185)
> https://hg.mozilla.org/mozilla-central/rev/639e49a6841b

when we will have firefox 56 ???
Going to leave-open this bug, because this is not on by default.

:MirceaForce - you can try installing Firefox Nightly (https://www.mozilla.org/en-US/firefox/channel/desktop/ and look for Nightly towards the bottom of the page), going to about:config, creating a boolean preference gfx.use-mutex-on-present, and setting it to true, then restarting Firefox.  It would be very useful to understand if your problem goes away with this preference change.
Status: RESOLVED → REOPENED
Keywords: leave-open
Resolution: FIXED → ---
(In reply to Milan Sreckovic [:milan] from comment #190)
> Going to leave-open this bug, because this is not on by default.
> 
> :MirceaForce - you can try installing Firefox Nightly
> (https://www.mozilla.org/en-US/firefox/channel/desktop/ and look for Nightly
> towards the bottom of the page), going to about:config, creating a boolean
> preference gfx.use-mutex-on-present, and setting it to true, then restarting
> Firefox.  It would be very useful to understand if your problem goes away
> with this preference change.

i don't use this setting yet because no black has occurred anymore on this new nvidia driver 384.94
(In reply to Milan Sreckovic [:milan] from comment #190)
> Going to leave-open this bug, because this is not on by default.
> 
> :MirceaForce - you can try installing Firefox Nightly
> (https://www.mozilla.org/en-US/firefox/channel/desktop/ and look for Nightly
> towards the bottom of the page), going to about:config, creating a boolean
> preference gfx.use-mutex-on-present, and setting it to true, then restarting
> Firefox.  It would be very useful to understand if your problem goes away
> with this preference change.

bugherder

https://hg.mozilla.org/mozilla-central/rev/639e49a6841b

Status: REOPENED → RESOLVED
Last Resolved: 2 years ago → 3 days ago
status-firefox56: affected → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla56

what's this ?
(In reply to MirceaForce from comment #192)
> ...
> 
> https://hg.mozilla.org/mozilla-central/rev/639e49a6841b
> 
> Status: REOPENED → RESOLVED
> Last Resolved: 2 years ago → 3 days ago
> status-firefox56: affected → fixed
> Resolution: --- → FIXED
> Target Milestone: --- → mozilla56
> 
> what's this ?

This is the patch that introduces the preference I mentioned in comment 190.
so there is a fix right ??
Should this pref be ported to Advanced Layers too? (Otherwise, has no effect on Nightly.) Present call is here: http://searchfox.org/mozilla-central/rev/f0e4ae5f8c40ba742214e89aba3f554da0b89a33/gfx/layers/d3d11/MLGDeviceD3D11.cpp#467
problem still persist in firefox 55 in stead of black it's white screen :))))
Too late for 55 but should be in 56 (eta 2017-09-26)
(In reply to MirceaForce from comment #191)
> (In reply to Milan Sreckovic [:milan] from comment #190)
> > Going to leave-open this bug, because this is not on by default.
> > 
> > :MirceaForce - you can try installing Firefox Nightly
> > (https://www.mozilla.org/en-US/firefox/channel/desktop/ and look for Nightly
> > towards the bottom of the page), going to about:config, creating a boolean
> > preference gfx.use-mutex-on-present, and setting it to true, then restarting
> > Firefox.  It would be very useful to understand if your problem goes away
> > with this preference change.
> 
> i don't use this setting yet because no black has occurred anymore on this
> new nvidia driver 384.94

With 384.94 WHQL it still occurs; had it happen two days ago to me, just after the drivers to 384.94 and just now again. 

Actually; for me the issue didn't start until the 382.05 driver version, which was the default installed by the Windows 10 Creators Update, was updated to the 384.94 version. I had been running Firefox on W10-CU with 383.05 drivers with no issues for a week straight. But ofcourse: if the root of the problem is a thread/process sync thing, then any difference in hardware/driver pairing could subtly change the timings of operations in such a way that the bug comes into or goes out of existence.
(In reply to oo.rio.oo from comment #199)
> (In reply to MirceaForce from comment #191)
> > (In reply to Milan Sreckovic [:milan] from comment #190)
> > > Going to leave-open this bug, because this is not on by default.
> > > 
> > > :MirceaForce - you can try installing Firefox Nightly
> > > (https://www.mozilla.org/en-US/firefox/channel/desktop/ and look for Nightly
> > > towards the bottom of the page), going to about:config, creating a boolean
> > > preference gfx.use-mutex-on-present, and setting it to true, then restarting
> > > Firefox.  It would be very useful to understand if your problem goes away
> > > with this preference change.
> > 
> > i don't use this setting yet because no black has occurred anymore on this
> > new nvidia driver 384.94
> 
> With 384.94 WHQL it still occurs; had it happen two days ago to me, just
> after the drivers to 384.94 and just now again. 
> 
> Actually; for me the issue didn't start until the 382.05 driver version,
> which was the default installed by the Windows 10 Creators Update, was
> updated to the 384.94 version. I had been running Firefox on W10-CU with
> 383.05 drivers with no issues for a week straight. But ofcourse: if the root
> of the problem is a thread/process sync thing, then any difference in
> hardware/driver pairing could subtly change the timings of operations in
> such a way that the bug comes into or goes out of existence.

Any better with 385.28?
I should add I have not tried it with the nightly and the pref switched on. I merely mentioned this to inform MirceaForce that the 384.94 driver did not do anything to fix the problem from its end alone.

Also according to Reddit, with the 385.28 driver it "looks like the Firefox black screen bug is still there"
( https://www.reddit.com/r/nvidia/comments/6tn7fb/driver_38528_discussion_thread/dlm19fe/ )
damm :(
insted of black screen in firefox now it's white think it's the same problem :))
Exactly the same issue random black screen while the top bar where it says url can be seen the rest of the screen is black. It is defo a firefox issue I returned all my new pc parts, ram, cpu, motherboard and psu and HDD's for replacements of the same parts so exchanged new for new from amazon only for the issue to return. I have windows 10 creators update i5 7600 asus z270f 16gb ddr4 ram 850psu. As for replicating the issue its is completely random
now it's white screen
Interesting: 
Setting the layers.gpu-process.enabled and media.gpu-process.decoder options to false was recommended earlier as a workaround to prevent the Nvidia driver from crashing, but was then found to no longer work. It seems that it _does_ still work for the affected machine that I'm dealing with. It's been crash free for the better part of the weekend since tuning those options.
A really interesting and helpful Blog this one. I found your blog via Google and find the information you provide on your site very cool. Thanks for sharing and I'm looking forward to commenting more.
Regards by >> https://goo.gl/uYv13C
(In reply to Milan Sreckovic [:milan] (PTO through 8/30) from comment #190)
> Going to leave-open this bug, because this is not on by default.
> 
> :MirceaForce - you can try installing Firefox Nightly
> (https://www.mozilla.org/en-US/firefox/channel/desktop/ and look for Nightly
> towards the bottom of the page), going to about:config, creating a boolean
> preference gfx.use-mutex-on-present, and setting it to true, then restarting
> Firefox.  It would be very useful to understand if your problem goes away
> with this preference change.

I have updated to Firefox 56.0b3 and added the preference, it seems to have fixed the problem for me. The bug hasn't occurred in a few days now.
I'm using version 385.28 of the NVidia drivers.
(In reply to stfn.lindner from comment #208)
> (In reply to Milan Sreckovic [:milan] (PTO through 8/30) from comment #190)
> > Going to leave-open this bug, because this is not on by default.
> > 
> > :MirceaForce - you can try installing Firefox Nightly
> > (https://www.mozilla.org/en-US/firefox/channel/desktop/ and look for Nightly
> > towards the bottom of the page), going to about:config, creating a boolean
> > preference gfx.use-mutex-on-present, and setting it to true, then restarting
> > Firefox.  It would be very useful to understand if your problem goes away
> > with this preference change.
> 
> I have updated to Firefox 56.0b3 and added the preference, it seems to have
> fixed the problem for me. The bug hasn't occurred in a few days now.
> I'm using version 385.28 of the NVidia drivers.

but what about the speed of the browser those settings does not affect it ?
(In reply to MirceaForce from comment #209)
> but what about the speed of the browser those settings does not affect it ?

It'll have less noticible impact than turning off hardware acceleration altogether; that's one thing you can be fairly sure about.
did you turned off ?
Hardware acceleration was left on, the only thing I changed was that seeing in about:config
I don't know if it affects performance, I didn't notice any slowdowns during normal browsing and watching html5 video.
layers.gpu-process.enabled and media.gpu-process-decoder in about:config to false

this is try and it has slow down firefox not good at all
Slight correction on my end; setting layers.gpu-process.enabled and media.gpu-process-decoder to false does *not* prevent display driver resets from occuring; but with those settings disabled FF 55.02 can succesfully recover from them rather than getting stuck with an unrecoverable black content area for all tabs.
(In reply to oo.rio.oo from comment #214)
> Slight correction on my end; setting layers.gpu-process.enabled and
> media.gpu-process-decoder to false does *not* prevent display driver resets
> from occuring; but with those settings disabled FF 55.02 can succesfully
> recover from them rather than getting stuck with an unrecoverable black
> content area for all tabs.

yes but in windows 10 maintenance you will see windows hardware error and live kernel event 141 

but you are not fully right is restores the tab but you still have to restart firefox
In the particular case I'm descrbing the error was fully recoverable and Firefox didn't need to restart.

What's funny is that Win 10 maintainance logged a live kernel event 141 _only_ for the recoverable display driver resets where the separate gpu-process was disabled. It did _not_ log this event for the non-recoverable resets that lead to the black screen, when the separate gpu-process was enabled.

My guess is the process separation does something which allows for a limited partial engine reset in the driver that does not affect other applications or the OS, but one which Firefox cannot recover from gracefully, whereas without it the reset is greater and registers on the OS-wide scale of things.

Does that make any sense?
(In reply to oo.rio.oo from comment #216)
> In the particular case I'm descrbing the error was fully recoverable and
> Firefox didn't need to restart.
> 
> What's funny is that Win 10 maintainance logged a live kernel event 141
> _only_ for the recoverable display driver resets where the separate
> gpu-process was disabled. It did _not_ log this event for the
> non-recoverable resets that lead to the black screen, when the separate
> gpu-process was enabled.
> 
> My guess is the process separation does something which allows for a limited
> partial engine reset in the driver that does not affect other applications
> or the OS, but one which Firefox cannot recover from gracefully, whereas
> without it the reset is greater and registers on the OS-wide scale of things.
> 
> Does that make any sense?

so you also get this live kernel event 141 

yes it will not affect windows at all but it's not good 

maybe the driver has something to recover 

it's windows hardware error
Out of curiosity I rolled the driver on my affected machine back to 382.05; no more display driver crashes. Clean for a week now.

I wonder if Nvidia messed something up on _their_ end of things in later drivers. E.g. while trying to fix the stuttering problems with many games that continue to plague their drivers on the Win 10 Creators Update.
(In reply to oo.rio.oo from comment #218)
> Out of curiosity I rolled the driver on my affected machine back to 382.05;
> no more display driver crashes. Clean for a week now.
> 
> I wonder if Nvidia messed something up on _their_ end of things in later
> drivers. E.g. while trying to fix the stuttering problems with many games
> that continue to plague their drivers on the Win 10 Creators Update.

do you have win 10 creator update ??

of course it will not occurs always just after intense youtube use 

it will eventually crash 

firefox confirm that this it's their bug and will be fixed on version 56
MirceaForce, if you'd read back through the comments you'd know the machine I was writing about is on the Win 10 Creators Update. You'd also know that it doesn't require "intense youtube use"; it happens 'randomly' due to timing conditions where something goes out of sync.

As for a fix for the issue: sofar there's a switch built into v56+ that - when explicitly enabled by a user via editing `about:config` - allows for an experimental additional synchronization to take place around present calls. Nothing final, as far as I can tell.

This doesn't mean there's a bug in the way Firefox was written. Could just as well be that there's a bug in more recent Nvidia drivers which is masked by the additional synchronization around present calls, making it a suitable workaround for a driver bug.

Infact; I posted that rolling back to driver 382.05 fixed things on my affected machine in the hope that it would give the Firefox developers an additional data point in the quest to get to the bottom of this issue...
Aaaa...nd speak of the devil.

Not 2 minutes later I get a (now white-screen) display driver crash with only a simple blog page with the odd image or two open for reading. Guess the bug isn't fully fixed after all. Just a hell of a lot less chance of it occuring.
(In reply to oo.rio.oo from comment #220)
> MirceaForce, if you'd read back through the comments you'd know the machine
> I was writing about is on the Win 10 Creators Update. You'd also know that
> it doesn't require "intense youtube use"; it happens 'randomly' due to
> timing conditions where something goes out of sync.
> 
> As for a fix for the issue: sofar there's a switch built into v56+ that -
> when explicitly enabled by a user via editing `about:config` - allows for an
> experimental additional synchronization to take place around present calls.
> Nothing final, as far as I can tell.
> 
> This doesn't mean there's a bug in the way Firefox was written. Could just
> as well be that there's a bug in more recent Nvidia drivers which is masked
> by the additional synchronization around present calls, making it a suitable
> workaround for a driver bug.
> 
> Infact; I posted that rolling back to driver 382.05 fixed things on my
> affected machine in the hope that it would give the Firefox developers an
> additional data point in the quest to get to the bottom of this issue...

I think i tested on that driver and occurred this error so no fix 

so what I understand from is that even with firefox 56 the problem is not fixed ? you are reffering that is not final that's ok, who knows maybe windows , driver, firefox 

but for  this ones:

layers.gpu-process.enabled and media.gpu-process-decoder in about:config to false

this is try and it has slow down firefox not good at all

so maybe future testing will be needed
> so what I understand from is that even with firefox 56 the problem is not fixed ?

No, I rolled the driver back to 382.05 see what the current stable FF 55 would do on my affected system. It does make the bug occur far _far_ less than with drivers in the 384+ range, but as I found out as well: it doesn't entirely fix it.

Bugs relying on complex timing conditions are always a bit random and down to dumb luck, I guess.
(In reply to oo.rio.oo from comment #223)
> > so what I understand from is that even with firefox 56 the problem is not fixed ?
> 
> No, I rolled the driver back to 382.05 see what the current stable FF 55
> would do on my affected system. It does make the bug occur far _far_ less
> than with drivers in the 384+ range, but as I found out as well: it doesn't
> entirely fix it.
> 
> Bugs relying on complex timing conditions are always a bit random and down
> to dumb luck, I guess.

just hope that firefox 56 will fix out issue :)
I can confirm this still occurs with driver 385.64. Happens across multiple configurations including a GTX 1070 and a GTX 1080.
Jacob, can you reproduce this reliable, or is it a random event?  If it's something you can reproduce quickly, running a mozregression tool to find the point where it started happening would really help.
Flags: needinfo?(computernorden)
(In reply to Milan Sreckovic [:milan] from comment #226)
> Jacob, can you reproduce this reliable, or is it a random event?  If it's
> something you can reproduce quickly, running a mozregression tool to find
> the point where it started happening would really help.

but this problem is not fixed in firefox 56 ?
(In reply to Milan Sreckovic [:milan] from comment #226)
> Jacob, can you reproduce this reliable, or is it a random event?  If it's
> something you can reproduce quickly, running a mozregression tool to find
> the point where it started happening would really help.

I cannot reproduce it manually, however, I can add that in the second/minutes leading up to a crash Firefox wil randomly display future/old frames(you would only really notice if you were paying very much attention) of the video that is currently playing, which would like up with some synchronization bug? Not sure how frames are decoded and presented over multiple threads.

Is there anything you would like me to watch out for? I feel it may be worth mentioning that the system is running a Ryzen 7 1700x if thread count is a factor.
Flags: needinfo?(computernorden)
(In reply to Milan Sreckovic [:milan] from comment #226)
> Jacob, can you reproduce this reliable, or is it a random event?  If it's
> something you can reproduce quickly, running a mozregression tool to find
> the point where it started happening would really help.

most problems occurs after you use youtube and watch videos...after this the crash occurs

if you not use youtube the problems not occurs or occurs less
(In reply to MirceaForce from comment #227)
> 
> but this problem is not fixed in firefox 56 ?

We haven't been able to reproduce this problem, so you are actually better equipped to tell us that.

There are indications that driver version 385.41 is behaving better than some of the later ones, at least on Fermi.
I've managed to get in touch with Nvidia QA. They do claim that they've managed to reproduce this in-house, but that its hard to debug as its not possible to trigger on-demand. They do not yet have enough data to engage Microsoft regarding the creators update specifically.

I've been asked to provide a full system memory dump to them next time the bug occurs.
(In reply to Milan Sreckovic [:milan] from comment #230)
> (In reply to MirceaForce from comment #227)
> > 
> > but this problem is not fixed in firefox 56 ?
> 
> We haven't been able to reproduce this problem, so you are actually better
> equipped to tell us that.
> 
> There are indications that driver version 385.41 is behaving better than
> some of the later ones, at least on Fermi.

but you told us that the firefox 56 will have a fix  on this 

here 
	Sylvestre Ledru [:sylvestre]
	
Comment 197 • 2 months ago

Too late for 55 but should be in 56 (eta 2017-09-26)
(In reply to MirceaForce from comment #227)
> (In reply to Milan Sreckovic [:milan] from comment #226)
> > Jacob, can you reproduce this reliable, or is it a random event?  If it's
> > something you can reproduce quickly, running a mozregression tool to find
> > the point where it started happening would really help.
> 
> but this problem is not fixed in firefox 56 ?

It's not fixed. With milan's preference gfx.use-mutex-on-present set to true, the release channel Firefox 56 just crashed my display driver again.

Slightly better result this time: it only crashes the active tab. Content rendered thus far remains readable and any new tabs opened afterwards function as they should.
After i updated to Firefox 56 i had 2 driver crashes so far,but instead of the page stopping rendering altogether it just flashed for a milisecond and everything was working fine.I still got the driver crash reports in the troubleshooting page.They were slightly different than before tho.
Also i have not set the gfx.use-mutex-on-present prefference to true.
(In reply to nasko_naskov from comment #234)
> After i updated to Firefox 56 i had 2 driver crashes so far,but instead of
> the page stopping rendering altogether it just flashed for a milisecond and
> everything was working fine.I still got the driver crash reports in the
> troubleshooting page.They were slightly different than before tho.
> Also i have not set the gfx.use-mutex-on-present prefference to true.

What is the crash livekernel event 141 ??
I am not sure what you mean with "livekernel event", but the EventViewer in windows shows the event ID of the driver crash as ID 4101 like before.
If you mean the Troubleshooting page log when the driver crashes i can't remember.Will screenshot it the next time it happens.
(In reply to nasko_naskov from comment #236)
> I am not sure what you mean with "livekernel event", but the EventViewer in
> windows shows the event ID of the driver crash as ID 4101 like before.
> If you mean the Troubleshooting page log when the driver crashes i can't
> remember.Will screenshot it the next time it happens.

go to - control panel- security and maintenance - maintenance- view reliability history
There is no log of any errors for that day.
(In reply to MirceaForce from comment #235)
> What is the crash livekernel event 141 ??

I just got another crash which recovered correctly.
This time i had a log in the reliability history.
This is what it says:

Description
A problem with your hardware caused Windows to stop working correctly.

Problem signature
  Problem Event Name:	LiveKernelEvent
  Code:	                141
  Parameter 1:	        ffffca8e4c75d310
  Parameter 2:	        fffff8030800ed6c
  Parameter 3:	        0
  Parameter 4:	        1638
  OS version:	        10_0_15063
  Service Pack:	        0_0
  Product:	        256_1
  OS Version:	        10.0.15063.2.0.0.256.48
  Locale ID:	        1026

Also this is what i got in the Troubleshooting page:

failures	CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
Decision Log
WEBRENDER	
opt-in by default: WebRender is an opt-in feature
unavailable by runtime: Build doesn't include WebRender
ADVANCED_LAYERS	
disabled by default: Disabled by default
Failure Log
(#0) 	CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
(#1) 	CP+[GFX1-]: (gfxWindowsPlatform) scheduled device update.
(#2) 	CP+[GFX1-]: LayerManager::EndTransaction skip RenderLayer().
(#3) 	CP+[GFX1-]: A content-only TDR is detected.
(In reply to nasko_naskov from comment #239)
> (In reply to MirceaForce from comment #235)
> > What is the crash livekernel event 141 ??
> 
> I just got another crash which recovered correctly.
> This time i had a log in the reliability history.
> This is what it says:
> 
> Description
> A problem with your hardware caused Windows to stop working correctly.
> 
> Problem signature
>   Problem Event Name:	LiveKernelEvent
>   Code:	                141
>   Parameter 1:	        ffffca8e4c75d310
>   Parameter 2:	        fffff8030800ed6c
>   Parameter 3:	        0
>   Parameter 4:	        1638
>   OS version:	        10_0_15063
>   Service Pack:	        0_0
>   Product:	        256_1
>   OS Version:	        10.0.15063.2.0.0.256.48
>   Locale ID:	        1026
> 
> Also this is what i got in the Troubleshooting page:
> 
> failures	CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
> Decision Log
> WEBRENDER	
> opt-in by default: WebRender is an opt-in feature
> unavailable by runtime: Build doesn't include WebRender
> ADVANCED_LAYERS	
> disabled by default: Disabled by default
> Failure Log
> (#0) 	CP+[GFX1-]: (gfxWindowsPlatform) Detected device reset: 1
> (#1) 	CP+[GFX1-]: (gfxWindowsPlatform) scheduled device update.
> (#2) 	CP+[GFX1-]: LayerManager::EndTransaction skip RenderLayer().
> (#3) 	CP+[GFX1-]: A content-only TDR is detected.

same here yes

but on firefox 56 not a crash for 10 days on 385.41
no testing with 385.69 

but if you guys encountered the same problems it's there
Been on Win 10 1709 with FF 56 and Nvidia 388.00 for a week now and have not seen the black or white screen. So far so good.
I also confirm that after upgrading to Win 10 1709 and using Nvidia drivers 388.00 and 388.13 i have not encountered this bug any more.
Ok.It just happened again for the first time in at least few weeks.Again the screen just flashed and re-rendered.
Happen again ....:((((
I have the same pronlem win10 64 1709.
Latest drivers nvidia 388.13.

Tested firefox 56 and firefox 57 rc1.

It becomes randlome in sites like youtube.

Όνομα συμβάντος προβλήματος:	LiveKernelEvent
Κώδικας:	141
Παράμετρος 1:	ffffdf8023c824a0
Παράμετρος 2:	fffff80ac8fc6b2c
Παράμετρος 3:	0
Παράμετρος 4:	afc
Έκδοση λειτουργικού συστήματος:	10_0_16299
Service Pack:	0_0
Προϊόν:	256_1
Έκδοση λειτουργικού συστήματος:	10.0.16299.2.0.0.256.48
Αναγνωριστικό τοπικών ρυθμίσεων:	1032


I change my motherboard ram and psu for testing.
Same results.
My gpu card is a gtx 970.

The only thing i know is that the gtx 960,950 have fully fixed-function HEVC encoder/decoder, the 980/970 is supposed to have fully-fixed function HEVC encoder and a Hybrid (Hardware-acceleration) decoder for HEVC.
so the HEVC hardware decoding support is not good at  GTX980/970.

Maybe the crash has something to do with this bug, i dont know.
I write it there only because i cant understand a 5 month bug is so difficault to recreated.
(In reply to Mpampis from comment #245)
> I have the same pronlem win10 64 1709.
> Latest drivers nvidia 388.13.
> 
> Tested firefox 56 and firefox 57 rc1.
> 
> It becomes randlome in sites like youtube.
> 
> Όνομα συμβάντος προβλήματος:	LiveKernelEvent
> Κώδικας:	141
> Παράμετρος 1:	ffffdf8023c824a0
> Παράμετρος 2:	fffff80ac8fc6b2c
> Παράμετρος 3:	0
> Παράμετρος 4:	afc
> Έκδοση λειτουργικού συστήματος:	10_0_16299
> Service Pack:	0_0
> Προϊόν:	256_1
> Έκδοση λειτουργικού συστήματος:	10.0.16299.2.0.0.256.48
> Αναγνωριστικό τοπικών ρυθμίσεων:	1032
> 
> 
> I change my motherboard ram and psu for testing.
> Same results.
> My gpu card is a gtx 970.
> 
> The only thing i know is that the gtx 960,950 have fully fixed-function HEVC
> encoder/decoder, the 980/970 is supposed to have fully-fixed function HEVC
> encoder and a Hybrid (Hardware-acceleration) decoder for HEVC.
> so the HEVC hardware decoding support is not good at  GTX980/970.
> 
> Maybe the crash has something to do with this bug, i dont know.
> I write it there only because i cant understand a 5 month bug is so
> difficault to recreated.

it happens also on fermi gpu gtx 1070 :((
Guys, this isn't a blog comment block, 40 or so people get a new email every time you reply to it with comments that are basically non-actionable.

I started to see scrolling driver resets under 388.00 too, so that's obviously an nvidia regression that needs to be looked at. So far i have not experienced them with 388.10 but i also swapped over displayport.

The mozilla devs don't need you reminding them every time you get a engine reset or black screen, it won't make them work on it any faster then they already are.
(In reply to Danial Horton from comment #247)
> Guys, this isn't a blog comment block, 40 or so people get a new email every
> time you reply to it with comments that are basically non-actionable.
> 
> I started to see scrolling driver resets under 388.00 too, so that's
> obviously an nvidia regression that needs to be looked at. So far i have not
> experienced them with 388.10 but i also swapped over displayport.
> 
> The mozilla devs don't need you reminding them every time you get a engine
> reset or black screen, it won't make them work on it any faster then they
> already are.

are you sure that is nvidia drivers ??
As some of you may have noticed our efforts have mainly been focused on making sure that when the graphics driver does crash, firefox recovers gracefully and you can continue using most or all of your browser session without any loss of data.

As far as the 'blame' question, generally, firefox shouldn't be able to trigger a driver reset, except maybe by DOS attacking the driver (which obviously, we try to avoid, although a malicious website could potentially be conceived that might cause us to). So in general, yes, these are bugs in the driver, which is made more likely by the fact people report different results using different versions of the NVidia driver. Having said that, it's still possible that firefox is sending D3D commands that are technically not allowed or have 'undefined' behavior, we've seen those trigger driver resets in the past as well, on these there's blame to share, the driver shouldn't really reset on these, but Firefox shouldn't really be issueing them either. It's extremely hard to locate those illegal instructions though, as the driver reset will not occur synchronously with when the instructions are issued.

In light of that, please only comment on the bug if you have a page or interaction that at least somewhat consistently triggers the device resets, at the moment that seems like it would be the only actionably information we can gain on this bug.
there must be a way to fix this issue because it's present on fermi gpus than others....
Bas, if these gpu process crashes are logged and reported to mozilla, there may be a spike on win7 where 388.xx drivers are in use.

If so, can you or someone get your nvidia contact aware of the regression?
what do you mean p-3 ?
the problem still persist with latest windows update and last firefox and nvidia driver

the thing that happens it's like a refresh
(In reply to MirceaForce from comment #253)
> the problem still persist with latest windows update and last firefox and
> nvidia driver
> 
> the thing that happens it's like a refresh

And with a new profile? Have you tried with the latest Firefox Portable?
i do not use profile did refresh firefox...firefox portable ?? no
still no fix even on the latest driver from nvidia 391.01

problem occurs on pascal gpus 

gtx 1070 founders no oc.....

tested the card on 3d mark Time Spy 4k no issues run several times

furmark 4k 3 hours no issues 

if it was hardware a issued was found so ???
The release notes for the NVIDIA driver version 391.24 states [1] that NVIDIA may have fixed (some/all ? of the occurrences of) this issue in their latest driver.

[1]
http://us.download.nvidia.com/Windows/391.24/391.24-win10-win8-win7-desktop-release-notes.pdf

Page 15: 

> Fixed Issues in this Release:
> [Firefox]: Driver TDR error may occur when using Firefox. [2049523]
They have not, infact they have just identified another cause that they are working on.
(In reply to Danial Horton from comment #258)
> They have not, infact they have just identified another cause that they are
> working on.

[citation needed]

:P
from nvidia support they told me that it's also firefox problem and should be resolved on their side 

[URL=http://www.imagebam.com/image/ed7640792467703][IMG]http://thumbs2.imagebam.com/b2/7b/0f/ed7640792467703.jpg[/IMG][/URL]
The content turning black after a TDR is a firefox issue, mozilla can work on that.

The TDR occurring in the first place is not, this is either driver (Which there is basically no statistical evidence of under Windows 8 or 10) or system hardware, configuration or the components themselves.


The Release notes specifically refer to a fix on windows 7 which apparently, wasn't a complete fix as they have now found something new.
so what it is to do ?
See Also: → 1452465
The leave-open keyword is there and there is no activity for 6 months.
:bas.schouten, maybe it's time to close this bug?
Flags: needinfo?(bas)
I believe you're right.
Status: REOPENED → RESOLVED
Closed: 2 years ago11 months ago
Flags: needinfo?(bas)
Keywords: leave-open
Resolution: --- → WORKSFORME

Best is to check whether driver are properly installed in it or not.
Just like i was surfing my this blog https://www.hiration.com/blog/resume-maker/ and sudden my screen just got black but it was a hardware issues as some cables connecting my display to the battery got damaged but you check for the driver update or restart whenever it happens . But it is usually adviced to go to service center immediately

You need to log in before you can comment on or make changes to this bug.